GNU bug report logs - #47262
[platform-testers] Emacs 27.2 RC2

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Dagobert Michelsen <dam@HIDDEN>; dated Fri, 19 Mar 2021 13:51:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 21 Oct 2021 21:19:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 17:19:47 2021
Received: from localhost ([127.0.0.1]:58798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdfTW-00068N-VS
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 17:19:47 -0400
Received: from mail-pj1-f50.google.com ([209.85.216.50]:41784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mdfTO-00067n-ED
 for 47262 <at> debbugs.gnu.org; Thu, 21 Oct 2021 17:19:39 -0400
Received: by mail-pj1-f50.google.com with SMTP id
 na16-20020a17090b4c1000b0019f5bb661f9so1550119pjb.0
 for <47262 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 14:19:38 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=tfB5iJAixJy40ZslOMFRaUQmd4Bnpcrzq39+pqkN5r0=;
 b=3p2N5kaOfWDKClkgv6f5CE3Rueeix2i8Juw/FJpoc4Hhu0G+R34+yUIV5R7UrLvhfZ
 eEiIrqmIOtTrpcIPNXtYW+SkENunpobkf/l7qAL3UaMtsZz2CxDPr7eTn5qE1BccG7Nq
 DUKw8kF+OQdVXTYCJhAe1Ru9QlAApIq7QLHrwaPgh46nGrr724Ev9E245crVX7IVJLfl
 i0hrDw0WNC7d7BJ74oPCqFXQCMwHa1pogLfL2G95iUqBO8xjNiOmSoFftJDzLon+LMCQ
 8pZJWVrZOqCqK2eSllTt6ZW8bQAeILuk/+QK7uM9S8GyJEI77WZw7ZMmalzB2drjAZ+v
 rm4w==
X-Gm-Message-State: AOAM533C2Dcz38NkJXUmhUzZs8xQ//PqR9qPOK4wsglz0rKclZdM9dO3
 n6++GQZKK+HwOrn8xZGlub5V7WvDitZ3N7s5xv1peCrP
X-Google-Smtp-Source: ABdhPJxSbIreRANaONARo8jHEQVlbeOCWdVB0Ve+4JbUMYtkS34l7cSMuA/TG2AU4HZvoiSF1GIMRr6vKKESWHDSFS0=
X-Received: by 2002:a17:90a:245:: with SMTP id
 t5mr9264025pje.133.1634851172861; 
 Thu, 21 Oct 2021 14:19:32 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 21 Oct 2021 14:19:32 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> (Dagobert
 Michelsen's message of "Fri, 19 Mar 2021 14:42:23 +0100")
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Thu, 21 Oct 2021 14:19:32 -0700
Message-ID: <CADwFkm=1rBcGknM=E4S9i9j-w9JDK9DqOewowxfUf4yazwZVjA@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
To: Dagobert Michelsen <dam@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Dagobert Michelsen <dam@HIDDEN> writes:

> Am 19.03.2021 um 08:35 schrieb Eli Zaretskii <eliz@HIDDEN>:
>> The second release candidate for what will be the 27.2 release of Emacs
>> (the extensible text editor) is now available at
[...]
>
> I have a couple of test failures with Solaris 10 Sparc and Sun Studio:
>
> SUMMARY OF TEST RESULTS
> -----------------------
> Files examined: 267
> Ran 3829 tests, 77 failed to run, 3716 results as expected, 23 unexpected, 90 skipped
> 3 files did not finish:
>   src/emacs-module-tests.log
>   lisp/progmodes/sql-tests.log
>   lisp/auth-source-tests.log
> 8 files contained unexpected results:
>   lisp/vc/diff-mode-tests.log
>   lisp/progmodes/xref-tests.log
>   lisp/progmodes/flymake-tests.log
>   lisp/net/nsm-tests.log
>   lisp/net/network-stream-tests.log
>   lisp/files-tests.log
>   lisp/filenotify-tests.log
>   lisp/cedet/semantic-utest-ia.log
> gmake[2]: *** [Makefile:318: check-doit] Error 2
>
> All logfiles are available from the buildfarm at
>   http://buildfarm.opencsw.org/~dam/emacs-27.2-rc2-logs.tar.gz

Thank you for this.  We will release a new prerelease of Emacs soon, for
what will become the new Emacs 28.1, and if you could repeat these tests
for that version, that will be greatly appreciated.

Meanwhile, does it make sense to keep this bug report open?  I skimmed
the discussion and it seems like several issues were fixed, but perhaps
many of them still remain?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 23 Mar 2021 12:08:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 08:08:49 2021
Received: from localhost ([127.0.0.1]:59737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOfq4-0002v0-NG
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 08:08:48 -0400
Received: from mout.gmx.net ([212.227.17.21]:54019)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lOfq1-0002uj-CT
 for 47262 <at> debbugs.gnu.org; Tue, 23 Mar 2021 08:08:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1616501317;
 bh=M3pieuqjyj6+7E1safBHcv59RG6xlt4Kuv/3J2Nn1mM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=XJs7SFCoJy3mwFyF3F3itx9GNj+nOr6ni3s+gvbHq3ss/uhBG5mi7HibnOKxNeoHk
 rNd6WoPpYgnLfsuMawhMExPBaBu5kBGLNGHTyOfYwfbEO4e+5LfiFk30qLEM+4poJA
 TJEwbMcWALvaC5WdXoL073FUmjhk7eoiyY2/0i3Y=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.243.117]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mplbx-1m0m1Q2Fy9-00qBu4; Tue, 23
 Mar 2021 13:08:37 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
 <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN>
 <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN>
 <87lfag7jw8.fsf@HIDDEN>
 <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN>
 <87czvr6y9k.fsf@HIDDEN>
 <944B539E-7F0A-4F25-AACD-584AA3880001@HIDDEN>
 <878s6e708f.fsf@HIDDEN>
 <91A7B63E-E725-4A81-86B4-93F45AB71AC5@HIDDEN>
 <87r1k65i6q.fsf@HIDDEN>
 <23B523D3-0C4E-4D28-ABAD-4ED1BE851C8A@HIDDEN>
Date: Tue, 23 Mar 2021 13:08:36 +0100
In-Reply-To: <23B523D3-0C4E-4D28-ABAD-4ED1BE851C8A@HIDDEN> (Dagobert
 Michelsen's message of "Tue, 23 Mar 2021 12:52:51 +0100")
Message-ID: <87mtuu5ayj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:ZEj6laXaB6OixSdHHvvnMWJBzPV/Edlst7OAatcQzJlJhh8s9dI
 lOsgeVX/YzcvGP0u8au9ST8BlPzFPtZFqV/K9sfgnPPEf1dMAtDN5Hq2KDPxditCG+8eGxT
 cFO8SJv3O8naEVgD9s8alqpNjSa2I2a8DZ5kXSUDXTZm2/9q+QmZVMfdIFTn5HG1owswVP8
 LM5AtMWQY7fTRE1KPkzcw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:sc5aOf7VzN8=:ZCethKecvFKRSZ/iQtHQZQ
 cWEjIZe5U3j75XNriwf9QqJa5bV5IHzRjSyVtFJap9qMCRtOK378h938Evlrx1XMChUXFhsXw
 EuOmctuNI21IftfvsFafNJG3B0dqIPKj9dhBczVgIFbanT3DB+Z1xQjqTWhWuvpn3YRbfmKxW
 v3Xl9cDNFJ43/MZeGXmPUT8cUJU36M1n5iKxkx35dNeVjfRJtu3RM7A1Il+ONXhMfqMv7qOE4
 iMto6yblBY4ncgtqHRqTKLvd0aEKxO4aGb7/W46Y46LHDZyVWDooPItLyjfodSsv6NhhwRXg9
 kNd1BXUqv6TnMPpjnTZTa8xLLnv0owInDwDCoqLMAEkyzQiadSo9JBuE+dCX9S5Pc/4zd5TZs
 zjHWZvLQv/Lyr+PicTEYbCXGeP0RzcDguZVO9E7pOl1bRRXwwD63GiI6WqgElokl9TqV0u3Bm
 GMX7YMKEySF2JamvgPDYjZ53MnxbfQMn4CJJ3E94MNYh9vktUPBVAE8XZA2CU/XfLQ/g57hJI
 X47WTI6M76mNvYzbkZSdWpnU7IzM0COuSfIzm7WTJXeQuCqG/Phl2xc/JVLi58ePOSOL5cawc
 kzxSAfy+URyQrkvTpa1ltCctCRAMvXOJjXgqwDQTaIn8uOA5db6iJxCgg22vhXDfBmC6Je8bW
 ZWj+stihfyhCvfs/R9MxD2TTv0scUL9P0kV/i14KlsXIsRk1ejnF4GcPuAi9c0QbFw/8AL0aj
 wNncg6kTSUNSUPiF9twjfDBEhF/9uX1bART0vhQqwyabzVZec+3XgAUC1QJgwvFK7dWikoSFi
 UgyKaoX6KHPPZqlNt4AZcOavCszCXcJlpD0hdYY/RQypaIrMEpY0S4Zl/HajfAcaCPhDcehkd
 JFE3FklEP2Cl6ksSy7Fg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dagobert Michelsen <dam@HIDDEN> writes:

> Hi Michael,

Hi Dago,

>> Thanks! Appended the next patch iteration. And I'm quite optimistic that
>> it is the last one :-)
>
> Ran 11 tests, 10 results as expected, 0 unexpected, 1 skipped (2021-03-23=
 12:27:12+0100, 608.684862 sec)

So that's it, all tests pass :-)

I'll push the changed filenotify-tests.el to the emacs-27 branch after
the release of Emacs 27.2.

> Best regards
>
>   =E2=80=94 Dago

Thanks again for your continuous support in testing!

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 23 Mar 2021 11:53:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 07:53:17 2021
Received: from localhost ([127.0.0.1]:59726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOfb3-0002Wt-2Q
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 07:53:17 -0400
Received: from mail.opencsw.org ([82.220.5.51]:64224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dam@HIDDEN>) id 1lOfax-0002Wc-Vi
 for 47262 <at> debbugs.gnu.org; Tue, 23 Mar 2021 07:53:15 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.opencsw.org (Postfix) with ESMTP id 4F4V9x5jBzzst;
 Tue, 23 Mar 2021 12:53:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=opencsw.org; h=
 x-mailer:references:to:in-reply-to:date:date:subject:subject
 :mime-version:content-type:content-type:message-id:from:from; s=
 csw02; t=1616500373; bh=K+ysFepReUnhfsRjIhwFkNgfRq/QGF6T1CTNd/Cg
 QcU=; b=A3yinHofFTF3uJ9Oxd54/jBdjPFUMWCvg6SHvlWiKQ/gf1i69NpXqp8+
 cSZYehv+lgYBHE6hQYEz/o+wlqxGBurnMBgkTB4usnmDV8KTcwvhqRadNeXTTNE8
 S9WDZTbz0fbKGHQlURzDyRy6Cth2iZTCmQhTJPFOlurkrRk4ONXyE7O/XNiNQiGb
 L0VvyrkvdARjb5w1JtOvLii8dpX2FNJgEBYXAMRF5azl6vTvjhcbKBO/7rh5fm7j
 lZ4lyuoBrRd+H3ntMrC+x+jSlCmBryi6xaLx+VaPUNlWsQXFZx5WYAKV46pApLkw
 VBPnmjh/VjShe3kOz1tlUpbU7sqAZA==
X-Virus-Scanned: amavisd-new at opencsw.org
Received: from mail.opencsw.org ([127.0.0.1])
 by localhost (mail.opencsw.org [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 3D4tlQ+eQvLL; Tue, 23 Mar 2021 12:52:53 +0100 (CET)
Received: from andromeda-45.fritz.box (45-204-103-86.dynamic.dsl.tng.de
 [86.103.204.45])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: dam)
 by mail.opencsw.org (Postfix) with ESMTPSA id 4F4V9c55t3zss;
 Tue, 23 Mar 2021 12:52:52 +0100 (CET)
From: Dagobert Michelsen <dam@HIDDEN>
Message-Id: <23B523D3-0C4E-4D28-ABAD-4ED1BE851C8A@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_314F8B80-724A-4522-AA61-DFA4326881D1"
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
Date: Tue, 23 Mar 2021 12:52:51 +0100
In-Reply-To: <87r1k65i6q.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN> <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN> <87lfag7jw8.fsf@HIDDEN>
 <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN> <87czvr6y9k.fsf@HIDDEN>
 <944B539E-7F0A-4F25-AACD-584AA3880001@HIDDEN> <878s6e708f.fsf@HIDDEN>
 <91A7B63E-E725-4A81-86B4-93F45AB71AC5@HIDDEN> <87r1k65i6q.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


--Apple-Mail=_314F8B80-724A-4522-AA61-DFA4326881D1
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

Hi Michael,

Am 23.03.2021 um 10:32 schrieb Michael Albinus <michael.albinus@HIDDEN>:
> Thanks! Appended the next patch iteration. And I'm quite optimistic that
> it is the last one :-)
> 
> Could you pls check? As a reminder, pls call
> 
> # make -C test filenotify-tests.log SELECTOR='(not "remote")'

Please find the log attached.


--Apple-Mail=_314F8B80-724A-4522-AA61-DFA4326881D1
Content-Disposition: attachment;
	filename=filenotify-tests.log
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="filenotify-tests.log"
Content-Transfer-Encoding: 7bit

Running 11 tests (2021-03-23 12:17:03+0100, selector `(not "remote")')
Library: `gfilenotify'
Monitor: `GFamDirectoryMonitor'
   passed   1/11  file-notify-test00-availability (0.104734 sec)
   passed   2/11  file-notify-test01-add-watch (0.015828 sec)
   passed   3/11  file-notify-test02-rm-watch (1.126690 sec)
   passed   4/11  file-notify-test03-events (113.101214 sec)
Reverting buffer `file-notify-testNLyzfF'.
Reverting buffer `file-notify-testNLyzfF'.
   passed   5/11  file-notify-test04-autorevert (18.061405 sec)
   passed   6/11  file-notify-test05-file-validity (34.041062 sec)
   passed   7/11  file-notify-test06-dir-validity (3.018815 sec)
   passed   8/11  file-notify-test07-many-events (313.080747 sec)
   passed   9/11  file-notify-test08-backup (26.063838 sec)
   passed  10/11  file-notify-test09-watched-file-in-watched-dir (100.049620 sec)
  skipped  11/11  file-notify-test10-sufficient-resources (0.003505 sec)

Ran 11 tests, 10 results as expected, 0 unexpected, 1 skipped (2021-03-23 12:27:12+0100, 608.684862 sec)

1 skipped results:
  SKIPPED  file-notify-test10-sufficient-resources


--Apple-Mail=_314F8B80-724A-4522-AA61-DFA4326881D1
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8




Best regards

  =E2=80=94 Dago

--=20
"You don't become great by trying to be great, you become great by =
wanting to do something,
and then doing it so hard that you become great in the process." - xkcd =
#896


--Apple-Mail=_314F8B80-724A-4522-AA61-DFA4326881D1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 23 Mar 2021 09:32:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 05:32:43 2021
Received: from localhost ([127.0.0.1]:59526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOdP0-0002ub-7W
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 05:32:43 -0400
Received: from mout.gmx.net ([212.227.15.18]:49209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lOdOx-0002uI-GQ
 for 47262 <at> debbugs.gnu.org; Tue, 23 Mar 2021 05:32:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1616491951;
 bh=sLwXf10Bnjf7gnQBxOysDypVVYWdEGkfRYkLRHZxZf0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jjk7NbOffwz/SBwrUJSNY5F2hd8EBPBbFecalDQLHSbKXH6PPMr9RzW9VBzdGTOZl
 flBizCJ/UrNsfNc88rAx8pWcLY3Ai4JY2uev9kXToptwBoENiolgmB8AhTaTqJaRMU
 0sllPAZoesoTBpWWKqMdZNt4IhA9fRSIu2bcS+Ac=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.243.117]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MC34h-1lW1mE1bJ7-00CQp5; Tue, 23
 Mar 2021 10:32:31 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
 <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN>
 <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN>
 <87lfag7jw8.fsf@HIDDEN>
 <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN>
 <87czvr6y9k.fsf@HIDDEN>
 <944B539E-7F0A-4F25-AACD-584AA3880001@HIDDEN>
 <878s6e708f.fsf@HIDDEN>
 <91A7B63E-E725-4A81-86B4-93F45AB71AC5@HIDDEN>
Date: Tue, 23 Mar 2021 10:32:29 +0100
In-Reply-To: <91A7B63E-E725-4A81-86B4-93F45AB71AC5@HIDDEN> (Dagobert
 Michelsen's message of "Tue, 23 Mar 2021 09:42:26 +0100")
Message-ID: <87r1k65i6q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:lvFPZpdJuEAkjvPOf+fck3ECOB9dZjx/mar9mo0a+YF2QW0D47e
 xZadmKHQvLPeOQAme9jcfN+DgKxy3MGhkNOL5vaf7J3KAKpyVuCt7Uf/KA4qFJrXFDr5kqm
 jpy4cc5q7NxzzJe5pcebPeYUB4KpMDmNiumFUsA3M90tzuLJCvnUjWzsaXUbAgT6ls0sFW0
 1+6HzA+OeUAUog5BjOdmw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:EXv6RaVYM+g=:bZUir/VgzKUyTWidMoMKH2
 0X1Uv+/1Zusapmp33aAbkltS9nAipOJ2rMYJVohkXkHnccpYdgTIAjChpg2sb67WVFCfJvUVZ
 aJ6emM7AQhUtPZLvjr+kjCdGVxd8hmS+AfWDOg+EYRPuS099jLlYwd0y3gfYVmJ8/VsguS0bO
 4GwgM+3+X4TKyum7HEXUY5GhiDcwBMMPaYz71jrOEs1I9Bc+orGGV437uxSCaKB2CXBs8BpNA
 DeozAa7582dr6Nb4rFX4ROk/Gpekau5uz1PEhxuzgTh9EHZ2TreAIbzpAutsinzvCHx8MTmpI
 THxNVAm4Hxb3An62pFucblP0YmnBwwn2nh3hBx8eFclnj5Y58eVmtAtUzGjZtfhxJS/JbBJdn
 +vxq43U4Rcut3eZS2fG5Xy7oeSCJdpHSYVRDPF58KB6RbqY9rv47x435N8vjG+1WvOG4yk2xR
 5TlnkO4HVB/TA0hU8cmv7qJx4nbQrY0RNclNLlcrYQBMzS9BdgQNQpRASEr+d5h5oMO21SKOp
 COHgbfwmUP3qPzrdOoOMEHFewr01B1o2KQ1NKh6aQA8CxTHKxIIaKVYkIg1gdxlI0VjTToXjE
 tRLIvoUXeHj//6s8SUoud8LZuDN4M2ehhb1L7AnST45y8mVT0K+JPSKksTGYhz8aR1ZL0EDTR
 XFpDke1Wu/RRiPyCCuZX1mmDSGgRp58s+uqjFL7qzNlPsLmoo8qghi8uzjTBmbwtj3534oXfS
 XueAZJP0GPFm6RT1wCHcXsI1V/RwAeFoi0/ckdNQRPX7wtH4UZUd2iSyVJ63gvtPR2Fo/sg2r
 /cLLW5LcjMZONhg+aSWUdWYuPhYT+2rf5VGu09YacYPhVKca7OONJYiE7SzanRjsz4/tnDZfi
 Zjnzc8mKIBXcBH7LwGriDnI9il6yVi8fv0Y/J5fwoYNrXPausKP0ki+F+WxfEHbIdt2eiVhBY
 8nJmr9gJfXeeAuVVayMppgHS9oV+0a9w9QfI/1KdmWUDJcC52tW+l3N1ffmUOa8CZ+g4J4DPu
 BfbAEvso2VyLfMESEHEgQrzEja9AWvA5X/T9Pkv063nppvzeRWqZxSY9zFs21t3i2k+QJc93t
 fJAK3cnWforKSyJZQhZyilYf0fzsK82eqmm+55jr7bKi4cA0I+wX5HIS9b67eELbRY0bTcw6M
 F5a13e0x5irxIyLrzcz7z1yUEu+n75f6T09nULyZNUFNdWGHSZ6/VM+wm7x5TOig7zMygGVWV
 /byg8t9goTLXar9a+
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Dagobert Michelsen <dam@HIDDEN> writes:

> Hi Michael,

Hi Dago,

> Please find the new log attached.

Thanks! Appended the next patch iteration. And I'm quite optimistic that
it is the last one :-)

Could you pls check? As a reminder, pls call

# make -C test filenotify-tests.log SELECTOR=3D'(not "remote")'

> Best regards
>
>   =E2=80=94 Dago

Thanks, and best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable

*** /tmp/ediffpkAKG4	2021-03-23 10:28:18.611288593 +0100
=2D-- /usr/local/src/emacs-27/test/lisp/filenotify-tests.el	2021-03-23 10:=
10:45.362714979 +0100
***************
*** 105,115 ****
     (cond
      ;; gio/gpollfilemonitor.c declares POLL_TIME_SECS 5.  So we must
      ;; wait at least this time in the GPollFileMonitor case.  A
!     ;; similar timeout seems to be needed in the GFamFileMonitor case,
!     ;; at least on Cygwin.
!     ((and (string-equal (file-notify--test-library) "gfilenotify")
!           (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
=2D-- 105,114 ----
     (cond
      ;; gio/gpollfilemonitor.c declares POLL_TIME_SECS 5.  So we must
      ;; wait at least this time in the GPollFileMonitor case.  A
!     ;; similar timeout seems to be needed in the
!     ;; GFam{File,Directory}Monitor case.
!     ((memq (file-notify--test-monitor)
!            '(GFamFileMonitor GFamDirectoryMonitor GPollFileMonitor))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
***************
*** 263,274 ****
    ;; `gfile-monitor-name' does not return a proper result anymore.
    ;; But we still need this information.
    (unless (file-remote-p temporary-file-directory)
!     (or (cdr (assq file-notify--test-desc file-notify--test-monitors))
          (when (functionp 'gfile-monitor-name)
            (add-to-list 'file-notify--test-monitors
                         (cons file-notify--test-desc
                               (gfile-monitor-name file-notify--test-desc)=
))
!           (cdr (assq file-notify--test-desc file-notify--test-monitors))=
))))

  (defmacro file-notify--deftest-remote (test docstring &optional unstable=
)
    "Define ert `TEST-remote' for remote files.
=2D-- 262,273 ----
    ;; `gfile-monitor-name' does not return a proper result anymore.
    ;; But we still need this information.
    (unless (file-remote-p temporary-file-directory)
!     (or (alist-get file-notify--test-desc file-notify--test-monitors)
          (when (functionp 'gfile-monitor-name)
            (add-to-list 'file-notify--test-monitors
                         (cons file-notify--test-desc
                               (gfile-monitor-name file-notify--test-desc)=
))
!           (alist-get file-notify--test-desc file-notify--test-monitors))=
)))

  (defmacro file-notify--deftest-remote (test docstring &optional unstable=
)
    "Define ert `TEST-remote' for remote files.
***************
*** 455,461 ****

    (unwind-protect
        ;; Check, that removing watch descriptors out of order do not
!       ;; harm.  This fails on Cygwin because of timing issues unless a
        ;; long `sit-for' is added before the call to
        ;; `file-notify--test-read-event'.
        (unless (eq system-type 'cygwin)
=2D-- 454,460 ----

    (unwind-protect
        ;; Check, that removing watch descriptors out of order do not
!       ;; harm.  This fails on cygwin because of timing issues unless a
        ;; long `sit-for' is added before the call to
        ;; `file-notify--test-read-event'.
        (unless (eq system-type 'cygwin)
***************
*** 542,547 ****
=2D-- 541,550 ----
  	    file-notify--test-results
  	    (append file-notify--test-results `(,result))))))

+ (defun file-notify--test-event-actions ()
+   "Helper function to return retrieved actions, as list."
+   (mapcar #'file-notify--test-event-action file-notify--test-events))
+
  (defun file-notify--test-with-actions-check (actions)
    "Check whether received actions match one of the ACTIONS alternatives.=
"
    (let (result)
***************
*** 550,571 ****
              (or result
                  (if (eq (car elt) :random)
                      (equal (sort (cdr elt) 'string-lessp)
!                            (sort (mapcar #'file-notify--test-event-actio=
n
!                                          file-notify--test-events)
                                   'string-lessp))
!                   (equal elt (mapcar #'file-notify--test-event-action
!                                      file-notify--test-events))))))))

  (defun file-notify--test-with-actions-explainer (actions)
    "Explain why `file-notify--test-with-actions-check' fails."
    (if (null (cdr actions))
        (format "Received actions do not match expected actions\n%s\n%s"
!               (mapcar #'file-notify--test-event-action file-notify--test=
-events)
!               (car actions))
      (format
       "Received actions do not match any sequence of expected actions\n%s=
\n%s"
!      (mapcar #'file-notify--test-event-action file-notify--test-events)
!      actions)))

  (put 'file-notify--test-with-actions-check 'ert-explainer
       'file-notify--test-with-actions-explainer)
=2D-- 553,577 ----
              (or result
                  (if (eq (car elt) :random)
                      (equal (sort (cdr elt) 'string-lessp)
!                            (sort (file-notify--test-event-actions)
                                   'string-lessp))
!                   (equal elt (file-notify--test-event-actions))))))
!     ;; Do not report result in case we debug.  Write messages instead.
!     (if file-notify-debug
!         (prog1 t
!           (if result
!               (message "Success\n%s" (file-notify--test-event-actions))
!             (message (file-notify--test-with-actions-explainer actions))=
))
!       result)))

  (defun file-notify--test-with-actions-explainer (actions)
    "Explain why `file-notify--test-with-actions-check' fails."
    (if (null (cdr actions))
        (format "Received actions do not match expected actions\n%s\n%s"
!               (file-notify--test-event-actions) (car actions))
      (format
       "Received actions do not match any sequence of expected actions\n%s=
\n%s"
!      (file-notify--test-event-actions) actions)))

  (put 'file-notify--test-with-actions-check 'ert-explainer
       'file-notify--test-with-actions-explainer)
***************
*** 632,640 ****
  	       (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  	        (created deleted stopped)))
!              ;; cygwin does not raise a `changed' event.
!              ((eq system-type 'cygwin)
!               '(created deleted stopped))
               (t '(created changed deleted stopped)))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
=2D-- 638,647 ----
  	       (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  	        (created deleted stopped)))
! 	     ;; GFam{File,Directory}Monitor do not report the `changed' event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
! 	      '(created deleted stopped))
               (t '(created changed deleted stopped)))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 665,670 ****
=2D-- 672,683 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFam{File,Directory}Monitor do not detect the
+              ;; `changed' event reliably.
+ 	     ((memq (file-notify--test-monitor)
+                     '(GFamFileMonitor GFamDirectoryMonitor))
+ 	      '((deleted stopped)
+ 		(changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 709,717 ****
               ((getenv "EMACS_EMBA_CI")
                '(created changed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for cygwin and kqueue.  And
! 	     ;; cygwin does not raise a `changed' event.
! 	     ((eq system-type 'cygwin)
  	      '(created deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed deleted stopped))
=2D-- 722,732 ----
               ((getenv "EMACS_EMBA_CI")
                '(created changed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for GFam{File,Directory}Monitor
! 	     ;; and kqueue.  And GFam{File,Directory}Monitor do not
! 	     ;; raise a `changed' event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
  	      '(created deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed deleted stopped))
***************
*** 755,762 ****
  	      '((deleted stopped)
  		(created created deleted stopped)))
  	     ;; There are three `deleted' events, for two files and
! 	     ;; for the directory.  Except for cygwin and kqueue.
! 	     ((eq system-type 'cygwin)
  	      '(created created changed changed deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed created changed deleted stopped))
=2D-- 770,779 ----
  	      '((deleted stopped)
  		(created created deleted stopped)))
  	     ;; There are three `deleted' events, for two files and
! 	     ;; for the directory.  Except for
! 	     ;; GFam{File,Directory}Monitor and kqueue.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
  	      '(created created changed changed deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed created changed deleted stopped))
***************
*** 813,822 ****
               ((getenv "EMACS_EMBA_CI")
                '(created changed renamed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for cygwin and kqueue.  And
! 	     ;; cygwin raises `created' and `deleted' events instead
! 	     ;; of a `renamed' event.
! 	     ((eq system-type 'cygwin)
  	      '(created created deleted deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed renamed deleted stopped))
=2D-- 830,841 ----
               ((getenv "EMACS_EMBA_CI")
                '(created changed renamed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for GFam{File,Directory}Monitor
! 	     ;; and kqueue.  And GFam{File,Directory}Monitor raise
! 	     ;; `created' and `deleted' events instead of a `renamed'
! 	     ;; event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
  	      '(created created deleted deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed renamed deleted stopped))
***************
*** 837,844 ****
      (file-notify--test-cleanup))

    (unwind-protect
!       ;; Check attribute change.  Does not work for cygwin.
!       (unless (eq system-type 'cygwin)
  	(setq file-notify--test-tmpfile (file-notify--test-make-temp-name))
  	(write-region
  	 "any text" nil file-notify--test-tmpfile nil 'no-message)
=2D-- 856,863 ----
      (file-notify--test-cleanup))

    (unwind-protect
!       ;; Check attribute change.  Does not work for GFam{File,Directory}=
Monitor.
!       (progn
  	(setq file-notify--test-tmpfile (file-notify--test-make-temp-name))
  	(write-region
  	 "any text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 847,875 ****
  	       (file-notify--test-add-watch
  		file-notify--test-tmpfile
  		'(attribute-change) #'file-notify--test-event-handler)))
! 	(file-notify--test-with-actions
! 	    (cond
! 	     ;; w32notify does not distinguish between `changed' and
! 	     ;; `attribute-changed'.  Under MS Windows 7, we get four
! 	     ;; `changed' events, and under MS Windows 10 just two.
! 	     ;; Strange.
! 	     ((string-equal (file-notify--test-library) "w32notify")
! 	      '((changed changed)
! 		(changed changed changed changed)))
! 	     ;; For kqueue and in the remote case, `write-region'
! 	     ;; raises also an `attribute-changed' event.
! 	     ((or (string-equal (file-notify--test-library) "kqueue")
! 		  (file-remote-p temporary-file-directory))
! 	      '(attribute-changed attribute-changed attribute-changed))
! 	     (t '(attribute-changed attribute-changed)))
! 	  (write-region
! 	   "any text" nil file-notify--test-tmpfile nil 'no-message)
! 	  (file-notify--test-read-event)
! 	  (set-file-modes file-notify--test-tmpfile 000)
! 	  (file-notify--test-read-event)
! 	  (set-file-times file-notify--test-tmpfile '(0 0))
! 	  (file-notify--test-read-event)
! 	  (delete-file file-notify--test-tmpfile))
          (file-notify-rm-watch file-notify--test-desc)

          ;; The environment shall be cleaned up.
=2D-- 866,896 ----
  	       (file-notify--test-add-watch
  		file-notify--test-tmpfile
  		'(attribute-change) #'file-notify--test-event-handler)))
! 	(unless (memq (file-notify--test-monitor)
!                       '(GFamFileMonitor GFamDirectoryMonitor))
! 	  (file-notify--test-with-actions
! 	      (cond
! 	       ;; w32notify does not distinguish between `changed' and
! 	       ;; `attribute-changed'.  Under MS Windows 7, we get
! 	       ;; four `changed' events, and under MS Windows 10 just
! 	       ;; two.  Strange.
! 	       ((string-equal (file-notify--test-library) "w32notify")
! 		'((changed changed)
! 		  (changed changed changed changed)))
! 	       ;; For kqueue and in the remote case, `write-region'
! 	       ;; raises also an `attribute-changed' event.
! 	       ((or (string-equal (file-notify--test-library) "kqueue")
! 		    (file-remote-p temporary-file-directory))
! 		'(attribute-changed attribute-changed attribute-changed))
! 	       (t '(attribute-changed attribute-changed)))
! 	    (write-region
! 	     "any text" nil file-notify--test-tmpfile nil 'no-message)
! 	    (file-notify--test-read-event)
! 	    (set-file-modes file-notify--test-tmpfile 000)
! 	    (file-notify--test-read-event)
! 	    (set-file-times file-notify--test-tmpfile '(0 0))
! 	    (file-notify--test-read-event)
! 	    (delete-file file-notify--test-tmpfile)))
          (file-notify-rm-watch file-notify--test-desc)

          ;; The environment shall be cleaned up.
***************
*** 951,957 ****

  	    ;; Modify file.  We wait for two seconds, in order to
  	    ;; have another timestamp.  One second seems to be too
!             ;; short.  And Cygwin sporadically requires more than two.
              (ert-with-message-capture captured-messages
                (sleep-for (if (eq system-type 'cygwin) 3 2))
                (write-region
=2D-- 972,978 ----

  	    ;; Modify file.  We wait for two seconds, in order to
  	    ;; have another timestamp.  One second seems to be too
!             ;; short.  And cygwin sporadically requires more than two.
              (ert-with-message-capture captured-messages
                (sleep-for (if (eq system-type 'cygwin) 3 2))
                (write-region
***************
*** 1021,1026 ****
=2D-- 1042,1053 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFam{File,Directory}Monitor do not detect the
+              ;; `changed' event reliably.
+ 	     ((memq (file-notify--test-monitor)
+                     '(GFamFileMonitor GFamDirectoryMonitor))
+ 	      '((deleted stopped)
+ 	        (changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 1064,1072 ****
  	        '((deleted stopped)
  	          (created deleted stopped)))
  	       ;; There are two `deleted' events, for the file and for
! 	       ;; the directory.  Except for cygwin and kqueue.  And
! 	       ;; cygwin does not raise a `changed' event.
! 	       ((eq system-type 'cygwin)
  	        '(created deleted stopped))
  	       ((string-equal (file-notify--test-library) "kqueue")
  	        '(created changed deleted stopped))
=2D-- 1091,1102 ----
  	        '((deleted stopped)
  	          (created deleted stopped)))
  	       ;; There are two `deleted' events, for the file and for
! 	       ;; the directory.  Except for
! 	       ;; GFam{File,Directory}Monitor and kqueue.  And
! 	       ;; GFam{File,Directory}Monitor do not raise a `changed'
! 	       ;; event.
! 	       ((memq (file-notify--test-monitor)
!                       '(GFamFileMonitor GFamDirectoryMonitor))
  	        '(created deleted stopped))
  	       ((string-equal (file-notify--test-library) "kqueue")
  	        '(created changed deleted stopped))
***************
*** 1169,1175 ****
  	  file-notify--test-tmpfile
  	  '(change) #'file-notify--test-event-handler)))
    (unwind-protect
!       (let ((n 1000)
              source-file-list target-file-list
              (default-directory file-notify--test-tmpfile))
          (dotimes (i n)
=2D-- 1199,1205 ----
  	  file-notify--test-tmpfile
  	  '(change) #'file-notify--test-event-handler)))
    (unwind-protect
!       (let ((n 10);00)
              source-file-list target-file-list
              (default-directory file-notify--test-tmpfile))
          (dotimes (i n)
***************
*** 1198,1206 ****
  		(dotimes (_i n)
  		  (setq r (append '(deleted renamed) r)))
  		r))
! 	     ;; cygwin fires `changed' and `deleted' events, sometimes
! 	     ;; in random order.
! 	     ((eq system-type 'cygwin)
  	      (let (r)
  		(dotimes (_i n)
  		  (setq r (append '(changed deleted) r)))
=2D-- 1228,1237 ----
  		(dotimes (_i n)
  		  (setq r (append '(deleted renamed) r)))
  		r))
! 	     ;; GFam{File,Directory}Monitor fire `changed' and
! 	     ;; `deleted' events, sometimes in random order.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
  	      (let (r)
  		(dotimes (_i n)
  		  (setq r (append '(changed deleted) r)))
***************
*** 1283,1291 ****
          (should (file-notify-valid-p file-notify--test-desc))
          (file-notify--test-with-actions
              (cond
!              ;; On cygwin we only get the `changed' event.
!              ((eq system-type 'cygwin)
!               '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.
=2D-- 1314,1323 ----
          (should (file-notify-valid-p file-notify--test-desc))
          (file-notify--test-with-actions
              (cond
! 	     ;; GFam{File,Directory}Monitor report only the `changed' event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
! 	      '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.
***************
*** 1355,1361 ****
          (should (file-notify-valid-p file-notify--test-desc1))
          (should (file-notify-valid-p file-notify--test-desc2))
          (should-not (equal file-notify--test-desc1 file-notify--test-des=
c2))
!         (let ((n 100))
            ;; Run the test.
            (file-notify--test-with-actions
                ;; There could be one or two `changed' events.
=2D-- 1387,1393 ----
          (should (file-notify-valid-p file-notify--test-desc1))
          (should (file-notify-valid-p file-notify--test-desc2))
          (should-not (equal file-notify--test-desc1 file-notify--test-des=
c2))
!         (let ((n 10));0))
            ;; Run the test.
            (file-notify--test-with-actions
                ;; There could be one or two `changed' events.
***************
*** 1407,1416 ****
          ;; Now we delete the directory.
          (file-notify--test-with-actions
              (cond
!              ;; In kqueue and for cygwin, just one `deleted' event for
!              ;; the directory is received.
!              ((or (eq system-type 'cygwin)
! 		  (string-equal (file-notify--test-library) "kqueue"))
                '(deleted stopped))
               (t (append
                   ;; The directory monitor raises a `deleted' event for
=2D-- 1439,1450 ----
          ;; Now we delete the directory.
          (file-notify--test-with-actions
              (cond
!              ;; GFam{File,Directory}Monitor and kqueue raise just one
!              ;; `deleted' event for the directory.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
!               '(deleted stopped))
! 	     ((string-equal (file-notify--test-library) "kqueue")
                '(deleted stopped))
               (t (append
                   ;; The directory monitor raises a `deleted' event for

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 23 Mar 2021 08:42:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 04:42:48 2021
Received: from localhost ([127.0.0.1]:59482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOcci-0001hX-N7
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 04:42:48 -0400
Received: from mail.opencsw.org ([82.220.5.51]:64197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dam@HIDDEN>) id 1lOccg-0001hM-8O
 for 47262 <at> debbugs.gnu.org; Tue, 23 Mar 2021 04:42:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.opencsw.org (Postfix) with ESMTP id 4F4PyD2XyPzsl;
 Tue, 23 Mar 2021 09:42:44 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=opencsw.org; h=
 x-mailer:references:to:in-reply-to:date:date:subject:subject
 :mime-version:content-type:content-type:message-id:from:from; s=
 csw02; t=1616488947; bh=9DWYDj0h3V/BmhquVdNnskee3tPKb3pwY9l9HPrS
 Mkc=; b=PnDqj+VMEN53wxb9gbrfyHDMLRaeSzzJ+mLNbN2DMtQSLysrHifPvJlv
 8SM5ZzdjVhM4k2Bc9ssCXlVYaJQTiaBCmOzwsD4SS0xUQXmDol9okgppWiZ3PVyK
 VQGODyTQQ37nUxNOfx1W3bMmzuVXBpFOBAWegtqfWm6f1ZANxbpM2EFqkGn34iyE
 KDVQvBISY6MbuKh8LLxFvJKRIsP7nTrbyZN1mkrggRWmxh5jxkezVSfZj6fv/m7A
 i8vtmbFH9CSh/PiHTI+UT1pCJy+15x5HbsyB+xWtUTTIXHKQV8HLNiYMZJTjMUIY
 V0AbM40JE2eFBNJxy7C1qrdNDsETLQ==
X-Virus-Scanned: amavisd-new at opencsw.org
Received: from mail.opencsw.org ([127.0.0.1])
 by localhost (mail.opencsw.org [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 0337dOs2O466; Tue, 23 Mar 2021 09:42:27 +0100 (CET)
Received: from andromeda-45.fritz.box (45-204-103-86.dynamic.dsl.tng.de
 [86.103.204.45])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: dam)
 by mail.opencsw.org (Postfix) with ESMTPSA id 4F4Pxv2xQWzsk;
 Tue, 23 Mar 2021 09:42:27 +0100 (CET)
From: Dagobert Michelsen <dam@HIDDEN>
Message-Id: <91A7B63E-E725-4A81-86B4-93F45AB71AC5@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_DD6E4FB9-86C0-439D-A648-D0C59D3D6FC2"
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
Date: Tue, 23 Mar 2021 09:42:26 +0100
In-Reply-To: <878s6e708f.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN> <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN> <87lfag7jw8.fsf@HIDDEN>
 <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN> <87czvr6y9k.fsf@HIDDEN>
 <944B539E-7F0A-4F25-AACD-584AA3880001@HIDDEN> <878s6e708f.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


--Apple-Mail=_DD6E4FB9-86C0-439D-A648-D0C59D3D6FC2
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

Hi Michael,

Am 23.03.2021 um 09:17 schrieb Michael Albinus <michael.albinus@HIDDEN>:
> These are the not expensive tests.

Ahh sorry, I tend to forget to execute this.

> Do you see a chance to run
> 
> # make -C test filenotify-tests.log SELECTOR='(not "remote")'
> 
> ? This runs all local tests, expensive ones included, but avoids the
> remote tests (which might be problematic). And in case there are errors
> with the expensive tests, could you rerun this with file-notify-debug
> set to t in the test file?

Please find the new log attached.


--Apple-Mail=_DD6E4FB9-86C0-439D-A648-D0C59D3D6FC2
Content-Disposition: attachment;
	filename=filenotify-tests.log
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="filenotify-tests.log"
Content-Transfer-Encoding: 7bit

Running 11 tests (2021-03-23 09:25:41+0100, selector `(not "remote")')
Library: `gfilenotify'
Monitor: `GFamDirectoryMonitor'
   passed   1/11  file-notify-test00-availability (0.314023 sec)
   passed   2/11  file-notify-test01-add-watch (0.015639 sec)
   passed   3/11  file-notify-test02-rm-watch (1.115934 sec)
   passed   4/11  file-notify-test03-events (113.061687 sec)
Reverting buffer `file-notify-test0ZX8Re'.
Reverting buffer `file-notify-test0ZX8Re'.
   passed   5/11  file-notify-test04-autorevert (18.041596 sec)
   passed   6/11  file-notify-test05-file-validity (34.026242 sec)
   passed   7/11  file-notify-test06-dir-validity (3.011524 sec)
Test file-notify-test07-many-events backtrace:
  signal(ert-test-failed (((should (file-notify--test-with-actions-che
  ert-fail(((should (file-notify--test-with-actions-check actions)) :f
  (if (unwind-protect (setq value-338 (apply fn-336 args-337)) (setq f
  (let (form-description-340) (if (unwind-protect (setq value-338 (app
  (let ((value-338 'ert-form-evaluation-aborted-339)) (let (form-descr
  (let* ((fn-336 #'file-notify--test-with-actions-check) (args-337 (co
  (let* ((actions (if (consp (car (cond (... ...) (... ...) (t ...))))
  (let ((n 10) source-file-list target-file-list (default-directory fi
  (unwind-protect (let ((n 10) source-file-list target-file-list (defa
  (closure (t) nil (let* ((fn-322 #'file-notify--test-local-enabled) (
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name file-notify-test07-many-events :docum
  ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
  ert-run-tests((not "remote") #f(compiled-function (event-type &rest 
  ert-run-tests-batch((not "remote"))
  ert-run-tests-batch-and-exit((not "remote"))
  eval((ert-run-tests-batch-and-exit '(not "remote")) t)
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/filenotify-tests.el"
  command-line()
  normal-top-level()
Test file-notify-test07-many-events condition:
    (ert-test-failed
     ((should
       (file-notify--test-with-actions-check actions))
      :form
      (file-notify--test-with-actions-check
       ((renamed renamed renamed renamed renamed renamed renamed renamed renamed renamed)))
      :value nil :explanation "Received actions do not match expected actions
(changed deleted changed deleted changed deleted changed deleted changed deleted changed deleted changed deleted changed deleted changed deleted changed deleted)
(renamed renamed renamed renamed renamed renamed renamed renamed renamed renamed)"))
   FAILED   8/11  file-notify-test07-many-events (230.052797 sec)
   passed   9/11  file-notify-test08-backup (26.051370 sec)
Test file-notify-test09-watched-file-in-watched-dir backtrace:
  signal(ert-test-failed (((should (file-notify--test-with-actions-che
  ert-fail(((should (file-notify--test-with-actions-check actions)) :f
  (if (unwind-protect (setq value-445 (apply fn-443 args-444)) (setq f
  (let (form-description-447) (if (unwind-protect (setq value-445 (app
  (let ((value-445 'ert-form-evaluation-aborted-446)) (let (form-descr
  (let* ((fn-443 #'file-notify--test-with-actions-check) (args-444 (co
  (let* ((actions (if (consp (car (cond (... ...) (t ...)))) (cond ((o
  (progn (let ((value-404 (gensym "ert-form-evaluation-aborted-"))) (l
  (let* ((--cl-dir-callback-- #'(lambda (event file) (let (...) (file-
  (unwind-protect (let* ((--cl-dir-callback-- #'(lambda (event file) (
  (closure (t) nil (let* ((fn-395 #'file-notify--test-local-enabled) (
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name file-notify-test09-watched-file-in-wa
  ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
  ert-run-tests((not "remote") #f(compiled-function (event-type &rest 
  ert-run-tests-batch((not "remote"))
  ert-run-tests-batch-and-exit((not "remote"))
  eval((ert-run-tests-batch-and-exit '(not "remote")) t)
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/filenotify-tests.el"
  command-line()
  normal-top-level()
Test file-notify-test09-watched-file-in-watched-dir condition:
    (ert-test-failed
     ((should
       (file-notify--test-with-actions-check actions))
      :form
      (file-notify--test-with-actions-check
       ((deleted deleted deleted deleted deleted deleted stopped)))
      :value nil :explanation "Received actions do not match expected actions
(deleted stopped)
(deleted deleted deleted deleted deleted deleted stopped)"))
   FAILED  10/11  file-notify-test09-watched-file-in-watched-dir (100.035757 sec)
  skipped  11/11  file-notify-test10-sufficient-resources (0.001596 sec)

Ran 11 tests, 8 results as expected, 2 unexpected, 1 skipped (2021-03-23 09:34:34+0100, 533.237428 sec)

2 unexpected results:
   FAILED  file-notify-test07-many-events
   FAILED  file-notify-test09-watched-file-in-watched-dir

1 skipped results:
  SKIPPED  file-notify-test10-sufficient-resources


--Apple-Mail=_DD6E4FB9-86C0-439D-A648-D0C59D3D6FC2
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8




Best regards

  =E2=80=94 Dago

--=20
"You don't become great by trying to be great, you become great by =
wanting to do something,
and then doing it so hard that you become great in the process." - xkcd =
#896


--Apple-Mail=_DD6E4FB9-86C0-439D-A648-D0C59D3D6FC2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 23 Mar 2021 08:17:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 04:17:32 2021
Received: from localhost ([127.0.0.1]:59465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOcEG-00015P-Js
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 04:17:32 -0400
Received: from mout.gmx.net ([212.227.15.19]:44235)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lOcEE-000158-D1
 for 47262 <at> debbugs.gnu.org; Tue, 23 Mar 2021 04:17:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1616487442;
 bh=j0vOkLFyi+xlWYQ52v3v0N2ZtakOmTay8ClAK2ut+9s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=NysyZrzERiJOlFxtMcK/7RN5UiWs/pADxNiH58dv6yWCLKW0qPZYPvVG2BJQ8A6s8
 N2yayicUUajVBCNn0t4AF4NpkuWtrw9DfE6jTCHk/l9UZZX7UiLjm3u7p+YJALmN9/
 1gEEwdCemnH9JwrIhWmpTuO9kWlGrR9wLdqTMgAw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.243.117]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MplXz-1m0goB13e9-00q8Ra; Tue, 23
 Mar 2021 09:17:22 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
 <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN>
 <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN>
 <87lfag7jw8.fsf@HIDDEN>
 <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN>
 <87czvr6y9k.fsf@HIDDEN>
 <944B539E-7F0A-4F25-AACD-584AA3880001@HIDDEN>
Date: Tue, 23 Mar 2021 09:17:20 +0100
In-Reply-To: <944B539E-7F0A-4F25-AACD-584AA3880001@HIDDEN> (Dagobert
 Michelsen's message of "Tue, 23 Mar 2021 08:38:31 +0100")
Message-ID: <878s6e708f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:oY+irvWBTN1/aPROdxVs8Jp4+aiIS4PLk+yH3TsVyHpE/Z8no1c
 FBjEvTVHAlmbWoyw6CciAUdiQZV3HZ+xAJzEd/1fkvi3Vdab1vjC6B8B05OLD7PJnQJsMhe
 7+O5hw6S1xnj4KXkvlZ/foFGSnrV9u1gS3d+vgvVdB5NaAWSDN5XjlgbtAoIM3m90JIV7Gc
 ldohAbMtyaejywNCuaXPA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9r7tqKqkL38=:zTM2HaZrg1QHVbMwMgYsC/
 dA2SMDJoY8eOs1BLxp1ohJxKPHPpmKaZC0KmxKg/C5p7SSdBA8AwUUYAVozOqQckUOJ6KZ2o+
 A9mA9TWdhUwAYo4TEkotYzNzWZjVepe8vbwOuEhYVOwZDqPFf83Ygs+BIIIQGFEks2CMwTNOD
 WFeCWzHuuUZDuMuH+GEJLEq9m/SmgqyvoqzQlSw6h97G6ycldfoZhQpZ9AbsRFx5h/DNy5Ufm
 t0gHo5iPT2XWzqAuj6BrOaApcOiz7ABmCx/2q++gUX9vxxW0CDt5IWunVXXuyrS8JdK4INQiy
 qnf5gIx14xMJmqGyjdHsXOGyMXvd3mLUBYxz39tMXSe7PHMKOCJVKKTwy3SrAFN21jRNIEMzl
 LD+EaJw8lORUWrxi6GUV9oPLnSfUkjoV4vRSOX7QuAXDjO7BhtKgp+ejTicV674LBcV400n8r
 W6WgOYyKVVCopsv6975StMDMwh0MSyLBEIs+R+s47WEvoCSsAR4lyL7eR74spupzjM60UnLB4
 aWKQAa+mKVB9SjFF6Bu8BmlfCjBdf1l8VvP0ERvsxp3cD3uWrWsP/74vgiydAI6ulu16Lp/p+
 BrIW+kT9wnuhQiwlFM2XVUV/rv4KT3QcaFeAlEO0DcKpI8DuXa8ZKUGedYkICu70ggHfFKjOl
 wfdhO6R3L0T3aaY5aPdN8d9lJuaumWMcVNiO8sa8R7MuxeGA2KH2I6O48fPu6F2v2uZO2IF2u
 ttawJRbWeZ0uEnk6fmgzsCHekF+xrzmSgc2csGredVKQx4RzHrgXkshSpx025tc1OBf570P9p
 vFsmZctfwPWFTIj1lshFtD4/sqX9d3Keggkzw1c9vB8h+Uj7Yl0bNwArbUwUeO06NCJ1dJFy3
 7Kxkgl3UJ+Ka2A24IJIA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dagobert Michelsen <dam@HIDDEN> writes:

> Hi Michael,

Hi Dago,

> Please find the logfiles for the latest patch attached. This looks good,
> now all tests pass :-)

Thanks a lot! This is good progress.

> Running 8 tests (2021-03-22 17:48:46+0100, selector `(not (or (tag :expen=
sive-test) (tag :unstable)))')

These are the not expensive tests. Do you see a chance to run

# make -C test filenotify-tests.log SELECTOR=3D'(not "remote")'

? This runs all local tests, expensive ones included, but avoids the
remote tests (which might be problematic). And in case there are errors
with the expensive tests, could you rerun this with file-notify-debug
set to t in the test file?

> Best regards
>
>   =E2=80=94 Dago

Thanks, and best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 23 Mar 2021 07:38:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 03:38:54 2021
Received: from localhost ([127.0.0.1]:59443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lObcs-0000An-Gn
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 03:38:54 -0400
Received: from mail.opencsw.org ([82.220.5.51]:64186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dam@HIDDEN>) id 1lObcp-0000Ac-Kz
 for 47262 <at> debbugs.gnu.org; Tue, 23 Mar 2021 03:38:52 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.opencsw.org (Postfix) with ESMTP id 4F4NXT4CgMzsf;
 Tue, 23 Mar 2021 08:38:49 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=opencsw.org; h=
 x-mailer:references:to:in-reply-to:date:date:subject:subject
 :mime-version:content-type:content-type:message-id:from:from; s=
 csw02; t=1616485113; bh=q28LRhSlIlbXNgS5szcSp5epur/gi67oCn7hgeg1
 lTU=; b=P/avixPR7i8UnyxfVP/UhdRXasyS6onPQIuf9ijgiR9ykZH9rkODHSxE
 2x2ybe3Lf3zjTjTGEydrjAohQCJDp/nx0DRzDwQgHsrb6tNpeyp3Jy2L8JTSCuKw
 yRaLcIst3sijEMTSbPUack13ns4ZA+CJW1/4ddReV/n/HYOM2UvXRgAxkfvJfBCi
 Ay4istWuKty72GKs4zazXo6Wihb8IaMcqHzSMDxUu7wdkCcjb2pZxS1L5kt6cOWn
 JxXByEylPfZmiixOp6f6Am2Zry9bXq8iDgRCbTmC0QrPdchmSpDV9DDM7h65xpNR
 vSzR/htDreP6NisuMfe6Ogoe354P5A==
X-Virus-Scanned: amavisd-new at opencsw.org
Received: from mail.opencsw.org ([127.0.0.1])
 by localhost (mail.opencsw.org [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 6RFaJNTJ8Xwe; Tue, 23 Mar 2021 08:38:33 +0100 (CET)
Received: from andromeda-45.fritz.box (45-204-103-86.dynamic.dsl.tng.de
 [86.103.204.45])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: dam)
 by mail.opencsw.org (Postfix) with ESMTPSA id 4F4NX854cKzsd;
 Tue, 23 Mar 2021 08:38:32 +0100 (CET)
From: Dagobert Michelsen <dam@HIDDEN>
Message-Id: <944B539E-7F0A-4F25-AACD-584AA3880001@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_9218EB0B-08B9-4EAB-879A-2708F976482C"
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
Date: Tue, 23 Mar 2021 08:38:31 +0100
In-Reply-To: <87czvr6y9k.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN> <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN> <87lfag7jw8.fsf@HIDDEN>
 <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN> <87czvr6y9k.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


--Apple-Mail=_9218EB0B-08B9-4EAB-879A-2708F976482C
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Hi Michael,

Am 22.03.2021 um 15:47 schrieb Michael Albinus <michael.albinus@HIDDEN>:
> Oops, yes. file-notify-test07-many-events and
> file-notify-test09-watched-file-in-watched-dir run large loops. I've
> reduced the number of iterations in both tests, see appended patch. It
> contains also some other changes I have applied last days, testing on =
cygwin.

Please find the logfiles for the latest patch attached. This looks good,
now all tests pass :-)


--Apple-Mail=_9218EB0B-08B9-4EAB-879A-2708F976482C
Content-Disposition: attachment;
	filename=filenotify-tests.log
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="filenotify-tests.log"
Content-Transfer-Encoding: 7bit

Running 8 tests (2021-03-22 17:48:46+0100, selector `(not (or (tag :expensive-test) (tag :unstable)))')
Library: `gfilenotify'
Monitor: `GFamDirectoryMonitor'
   passed  1/8  file-notify-test00-availability (0.102576 sec)
   passed  2/8  file-notify-test01-add-watch (0.014409 sec)
   passed  3/8  file-notify-test02-rm-watch (1.007739 sec)
   passed  4/8  file-notify-test03-events (113.057275 sec)
Reverting buffer `file-notify-testN00ey6'.
Reverting buffer `file-notify-testN00ey6'.
   passed  5/8  file-notify-test04-autorevert (18.041154 sec)
   passed  6/8  file-notify-test05-file-validity (34.025455 sec)
   passed  7/8  file-notify-test06-dir-validity (3.011377 sec)
   passed  8/8  file-notify-test08-backup (26.050180 sec)

Ran 8 tests, 8 results as expected, 0 unexpected (2021-03-22 17:52:02+0100, 195.320520 sec)


--Apple-Mail=_9218EB0B-08B9-4EAB-879A-2708F976482C
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8




Best regards

  =E2=80=94 Dago

--=20
"You don't become great by trying to be great, you become great by =
wanting to do something,
and then doing it so hard that you become great in the process." - xkcd =
#896


--Apple-Mail=_9218EB0B-08B9-4EAB-879A-2708F976482C--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 22 Mar 2021 14:47:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 22 10:47:47 2021
Received: from localhost ([127.0.0.1]:58253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOLqM-0002HA-9O
	for submit <at> debbugs.gnu.org; Mon, 22 Mar 2021 10:47:47 -0400
Received: from mout.gmx.net ([212.227.17.20]:35349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lOLqK-0002Gr-8j
 for 47262 <at> debbugs.gnu.org; Mon, 22 Mar 2021 10:47:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1616424456;
 bh=g5B8kPIfT6J3PPR1zznoOKQQRBZWaqM+iHfh87+A8r0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jDfaetDkh9btAWIbpWZFJ4/T/22pkFXgqFSDgF3UW44/8QDbo+VAONFyjElI41OP6
 Odhp5XQqTHhPjvqzFBg+56ZGqxgQJVMJXWfr5ZcYkZfDdh2PRsBmjYmdhewMdCV9dW
 eSyIQul5K/7FeEl1CryUJ0vRhIVJARvFkYnzyeRA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.125.163]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MvK4f-1lg9sH1fCz-00rGCO; Mon, 22
 Mar 2021 15:47:36 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
 <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN>
 <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN>
 <87lfag7jw8.fsf@HIDDEN>
 <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN>
Date: Mon, 22 Mar 2021 15:47:35 +0100
In-Reply-To: <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN> (Dagobert
 Michelsen's message of "Mon, 22 Mar 2021 15:17:30 +0100")
Message-ID: <87czvr6y9k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:3cskVzEZ+u1WsieSSd4Im97A3PaaM+mJcHzhUFvt/PRu1Zen2LW
 RwnG5kVjqJfhEg7n7G2T6Ar3tjnylOG2/lxHiR10eYdc0wvORjnnl9IBsrQUhvPTywa0u/C
 5izgJ6MSBU8v1Nox90+H+zVlRtqhWobvjwroMsQ2a6SKt2jymG3YCh/iL5jSuF2v+0sVVJc
 KD23XEZPgg8oMVCUq6juw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:U8oLgQPWk7w=:qkFNbX0ufyF15o/qroRMVx
 DcdtUI/tW//lJJv+ldr3bd2uMdpNHFgScLpNNjYB2i8PvQ0WvKQVIYwUMV4DOzNJfXjUlnnN1
 4VBZaIyEYMmN5yS56ibc3MmutN71HLM6X3U2XT/yqCKYVwTxkZZmAu2GrSpSOH/oj0O2ZIES2
 sUwUABa6ZqCvprfMkd1Jqss9GDoUpkjdT6/jYnj2qjPVK6eu7toVnREKUigaJaD7q3t8HX4uE
 ThsKUS891ViydMUd3x/FeC6wRPln4WoisA9i0v5Vxz3vVilqeRplBLRaR1Cfc3QGh/vzDPD0J
 XpVWvzj68l9NHK71p2MGbkvXtwNoFGmEXFXvecynnYev7NVFOGJV/6QFV2yy2FiWZYO1Gu04f
 jS7qIbokdBz60dRhzrn1JRXTMI1RriUtXIgu9ykgaxunYH3LhtBeClx1pkHx23/54uZGdA5L+
 x7G1qkBQ5rJPhGKYdVVoC/12/Wgftq89UhbvLt4rfP+FN0c8J/dQG4T3wSFBSRDlTPavvUvqP
 xU1I9r+lNCKl9WHeEAy+Mkk2qHhG/izvAO/nQZYt1A8OxGD13wrhYR50b11GztnyaO1T1pguS
 77VtbnaiyGQJ1BppkQnoJscXkHO+SeFQG6Q4jbvk45lxoZWYUJe9ky7okbC/ge5s3wB2MfCVH
 ZEkI+B6BqFoHHvQOIcGVcd/HvIju3gUYE82J2VGhNS8yXvvrwOY9esmo96MoDuv/ZX8jVPA+F
 IDgkHOv3oyZXFQESyyedQPaYB+WjoQd1581E5PJRhELZC2xM51w6tMbd1RY+r5wG7xWxDYLYP
 go7gWovrYiZmLSm1RkIr0G/1tROkAEZCjApPKXIdlKk2FT7Vtc23Vtw2sGXhYzOGI3YnuBFrj
 UpUMloIC/Y0KojhNtm0+9+dWudDPuKX+e0BGgZF4LBNK4OG3dp/e1hzX0Ipi5hOHI/hmb+aXK
 c9JVblBz+6T1iWREi5nVAcmads5OPa3TwIZkftV2HJmaUvS/XCcRLmANnbiKIfaQSbxij67eF
 tE1W2P+lnb7bm3P9LJh9V8wo9eauLJWr+U4JqhFfzVijqQYIDyGwv8HkoNVSoZM8mYaj5ya4o
 OQc+2KfoW8z8ShaHzH/Kg40E/gwkNPLhNTFSQJLrH7ctGgLt8T0rTy7UxKLetRgzRdm7iyYzR
 9iQv6/oTaqqWLLOmMeNaSws56GqoTV20Lqxz4ncRXoXfW8uAcQvs2X5uSCktG/YqAMWx3YKRS
 MEcfxA55U3WPlZNYF
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Dagobert Michelsen <dam@HIDDEN> writes:

> Hi Michael,

Hi Dago,

>> # make -C test filenotify-tests.log
>
> This does not terminate in test #7 and I manually needed to kill it:

Oops, yes. file-notify-test07-many-events and
file-notify-test09-watched-file-in-watched-dir run large loops. I've
reduced the number of iterations in both tests, see appended patch. It
contains also some other changes I have applied last days, testing on cygwi=
n.

> Best regards
>
>   =E2=80=94 Dago

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable

*** /tmp/ediffmmNEZ6	2021-03-22 15:43:13.464939528 +0100
=2D-- /home/albinus/src/emacs-27/test/lisp/filenotify-tests.el	2021-03-22 =
15:41:35.740131740 +0100
***************
*** 105,115 ****
     (cond
      ;; gio/gpollfilemonitor.c declares POLL_TIME_SECS 5.  So we must
      ;; wait at least this time in the GPollFileMonitor case.  A
!     ;; similar timeout seems to be needed in the GFamFileMonitor case,
!     ;; at least on Cygwin.
!     ((and (string-equal (file-notify--test-library) "gfilenotify")
!           (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
=2D-- 105,114 ----
     (cond
      ;; gio/gpollfilemonitor.c declares POLL_TIME_SECS 5.  So we must
      ;; wait at least this time in the GPollFileMonitor case.  A
!     ;; similar timeout seems to be needed in the
!     ;; GFam{File,Directory}Monitor case.
!     ((memq (file-notify--test-monitor)
!            '(GFamFileMonitor GFamDirectoryMonitor GPollFileMonitor))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
***************
*** 263,274 ****
    ;; `gfile-monitor-name' does not return a proper result anymore.
    ;; But we still need this information.
    (unless (file-remote-p temporary-file-directory)
!     (or (cdr (assq file-notify--test-desc file-notify--test-monitors))
          (when (functionp 'gfile-monitor-name)
            (add-to-list 'file-notify--test-monitors
                         (cons file-notify--test-desc
                               (gfile-monitor-name file-notify--test-desc)=
))
!           (cdr (assq file-notify--test-desc file-notify--test-monitors))=
))))

  (defmacro file-notify--deftest-remote (test docstring &optional unstable=
)
    "Define ert `TEST-remote' for remote files.
=2D-- 262,273 ----
    ;; `gfile-monitor-name' does not return a proper result anymore.
    ;; But we still need this information.
    (unless (file-remote-p temporary-file-directory)
!     (or (alist-get file-notify--test-desc file-notify--test-monitors)
          (when (functionp 'gfile-monitor-name)
            (add-to-list 'file-notify--test-monitors
                         (cons file-notify--test-desc
                               (gfile-monitor-name file-notify--test-desc)=
))
!           (alist-get file-notify--test-desc file-notify--test-monitors))=
)))

  (defmacro file-notify--deftest-remote (test docstring &optional unstable=
)
    "Define ert `TEST-remote' for remote files.
***************
*** 455,461 ****

    (unwind-protect
        ;; Check, that removing watch descriptors out of order do not
!       ;; harm.  This fails on Cygwin because of timing issues unless a
        ;; long `sit-for' is added before the call to
        ;; `file-notify--test-read-event'.
        (unless (eq system-type 'cygwin)
=2D-- 454,460 ----

    (unwind-protect
        ;; Check, that removing watch descriptors out of order do not
!       ;; harm.  This fails on cygwin because of timing issues unless a
        ;; long `sit-for' is added before the call to
        ;; `file-notify--test-read-event'.
        (unless (eq system-type 'cygwin)
***************
*** 542,547 ****
=2D-- 541,550 ----
  	    file-notify--test-results
  	    (append file-notify--test-results `(,result))))))

+ (defun file-notify--test-event-actions ()
+   "Helper function to return retrieved actions, as list."
+   (mapcar #'file-notify--test-event-action file-notify--test-events))
+
  (defun file-notify--test-with-actions-check (actions)
    "Check whether received actions match one of the ACTIONS alternatives.=
"
    (let (result)
***************
*** 550,571 ****
              (or result
                  (if (eq (car elt) :random)
                      (equal (sort (cdr elt) 'string-lessp)
!                            (sort (mapcar #'file-notify--test-event-actio=
n
!                                          file-notify--test-events)
                                   'string-lessp))
!                   (equal elt (mapcar #'file-notify--test-event-action
!                                      file-notify--test-events))))))))

  (defun file-notify--test-with-actions-explainer (actions)
    "Explain why `file-notify--test-with-actions-check' fails."
    (if (null (cdr actions))
        (format "Received actions do not match expected actions\n%s\n%s"
!               (mapcar #'file-notify--test-event-action file-notify--test=
-events)
!               (car actions))
      (format
       "Received actions do not match any sequence of expected actions\n%s=
\n%s"
!      (mapcar #'file-notify--test-event-action file-notify--test-events)
!      actions)))

  (put 'file-notify--test-with-actions-check 'ert-explainer
       'file-notify--test-with-actions-explainer)
=2D-- 553,577 ----
              (or result
                  (if (eq (car elt) :random)
                      (equal (sort (cdr elt) 'string-lessp)
!                            (sort (file-notify--test-event-actions)
                                   'string-lessp))
!                   (equal elt (file-notify--test-event-actions))))))
!     ;; Do not report result in case we debug.  Write messages instead.
!     (if file-notify-debug
!         (prog1 t
!           (if result
!               (message "Success\n%s" (file-notify--test-event-actions))
!             (message (file-notify--test-with-actions-explainer actions))=
))
!       result)))

  (defun file-notify--test-with-actions-explainer (actions)
    "Explain why `file-notify--test-with-actions-check' fails."
    (if (null (cdr actions))
        (format "Received actions do not match expected actions\n%s\n%s"
!               (file-notify--test-event-actions) (car actions))
      (format
       "Received actions do not match any sequence of expected actions\n%s=
\n%s"
!      (file-notify--test-event-actions) actions)))

  (put 'file-notify--test-with-actions-check 'ert-explainer
       'file-notify--test-with-actions-explainer)
***************
*** 632,640 ****
  	       (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  	        (created deleted stopped)))
!              ;; cygwin does not raise a `changed' event.
!              ((eq system-type 'cygwin)
!               '(created deleted stopped))
               (t '(created changed deleted stopped)))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
=2D-- 638,647 ----
  	       (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  	        (created deleted stopped)))
! 	     ;; GFam{File,Directory}Monitor do not report the `changed' event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
! 	      '(created deleted stopped))
               (t '(created changed deleted stopped)))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 665,670 ****
=2D-- 672,683 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFam{File,Directory}Monitor do not detect the
+              ;; `changed' event reliably.
+ 	     ((memq (file-notify--test-monitor)
+                     '(GFamFileMonitor GFamDirectoryMonitor))
+ 	      '((deleted stopped)
+ 		(changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 709,717 ****
               ((getenv "EMACS_EMBA_CI")
                '(created changed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for cygwin and kqueue.  And
! 	     ;; cygwin does not raise a `changed' event.
! 	     ((eq system-type 'cygwin)
  	      '(created deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed deleted stopped))
=2D-- 722,732 ----
               ((getenv "EMACS_EMBA_CI")
                '(created changed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for GFam{File,Directory}Monitor
! 	     ;; and kqueue.  And GFam{File,Directory}Monitor do not
! 	     ;; raise a `changed' event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
  	      '(created deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed deleted stopped))
***************
*** 755,762 ****
  	      '((deleted stopped)
  		(created created deleted stopped)))
  	     ;; There are three `deleted' events, for two files and
! 	     ;; for the directory.  Except for cygwin and kqueue.
! 	     ((eq system-type 'cygwin)
  	      '(created created changed changed deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed created changed deleted stopped))
=2D-- 770,779 ----
  	      '((deleted stopped)
  		(created created deleted stopped)))
  	     ;; There are three `deleted' events, for two files and
! 	     ;; for the directory.  Except for
! 	     ;; GFam{File,Directory}Monitor and kqueue.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
  	      '(created created changed changed deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed created changed deleted stopped))
***************
*** 813,822 ****
               ((getenv "EMACS_EMBA_CI")
                '(created changed renamed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for cygwin and kqueue.  And
! 	     ;; cygwin raises `created' and `deleted' events instead
! 	     ;; of a `renamed' event.
! 	     ((eq system-type 'cygwin)
  	      '(created created deleted deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed renamed deleted stopped))
=2D-- 830,841 ----
               ((getenv "EMACS_EMBA_CI")
                '(created changed renamed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for GFam{File,Directory}Monitor
! 	     ;; and kqueue.  And GFam{File,Directory}Monitor raise
! 	     ;; `created' and `deleted' events instead of a `renamed'
! 	     ;; event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
  	      '(created created deleted deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed renamed deleted stopped))
***************
*** 837,844 ****
      (file-notify--test-cleanup))

    (unwind-protect
!       ;; Check attribute change.  Does not work for cygwin.
!       (unless (eq system-type 'cygwin)
  	(setq file-notify--test-tmpfile (file-notify--test-make-temp-name))
  	(write-region
  	 "any text" nil file-notify--test-tmpfile nil 'no-message)
=2D-- 856,863 ----
      (file-notify--test-cleanup))

    (unwind-protect
!       ;; Check attribute change.  Does not work for GFam{File,Directory}=
Monitor.
!       (progn
  	(setq file-notify--test-tmpfile (file-notify--test-make-temp-name))
  	(write-region
  	 "any text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 847,875 ****
  	       (file-notify--test-add-watch
  		file-notify--test-tmpfile
  		'(attribute-change) #'file-notify--test-event-handler)))
! 	(file-notify--test-with-actions
! 	    (cond
! 	     ;; w32notify does not distinguish between `changed' and
! 	     ;; `attribute-changed'.  Under MS Windows 7, we get four
! 	     ;; `changed' events, and under MS Windows 10 just two.
! 	     ;; Strange.
! 	     ((string-equal (file-notify--test-library) "w32notify")
! 	      '((changed changed)
! 		(changed changed changed changed)))
! 	     ;; For kqueue and in the remote case, `write-region'
! 	     ;; raises also an `attribute-changed' event.
! 	     ((or (string-equal (file-notify--test-library) "kqueue")
! 		  (file-remote-p temporary-file-directory))
! 	      '(attribute-changed attribute-changed attribute-changed))
! 	     (t '(attribute-changed attribute-changed)))
! 	  (write-region
! 	   "any text" nil file-notify--test-tmpfile nil 'no-message)
! 	  (file-notify--test-read-event)
! 	  (set-file-modes file-notify--test-tmpfile 000)
! 	  (file-notify--test-read-event)
! 	  (set-file-times file-notify--test-tmpfile '(0 0))
! 	  (file-notify--test-read-event)
! 	  (delete-file file-notify--test-tmpfile))
          (file-notify-rm-watch file-notify--test-desc)

          ;; The environment shall be cleaned up.
=2D-- 866,896 ----
  	       (file-notify--test-add-watch
  		file-notify--test-tmpfile
  		'(attribute-change) #'file-notify--test-event-handler)))
! 	(unless (memq (file-notify--test-monitor)
!                       '(GFamFileMonitor GFamDirectoryMonitor))
! 	  (file-notify--test-with-actions
! 	      (cond
! 	       ;; w32notify does not distinguish between `changed' and
! 	       ;; `attribute-changed'.  Under MS Windows 7, we get
! 	       ;; four `changed' events, and under MS Windows 10 just
! 	       ;; two.  Strange.
! 	       ((string-equal (file-notify--test-library) "w32notify")
! 		'((changed changed)
! 		  (changed changed changed changed)))
! 	       ;; For kqueue and in the remote case, `write-region'
! 	       ;; raises also an `attribute-changed' event.
! 	       ((or (string-equal (file-notify--test-library) "kqueue")
! 		    (file-remote-p temporary-file-directory))
! 		'(attribute-changed attribute-changed attribute-changed))
! 	       (t '(attribute-changed attribute-changed)))
! 	    (write-region
! 	     "any text" nil file-notify--test-tmpfile nil 'no-message)
! 	    (file-notify--test-read-event)
! 	    (set-file-modes file-notify--test-tmpfile 000)
! 	    (file-notify--test-read-event)
! 	    (set-file-times file-notify--test-tmpfile '(0 0))
! 	    (file-notify--test-read-event)
! 	    (delete-file file-notify--test-tmpfile)))
          (file-notify-rm-watch file-notify--test-desc)

          ;; The environment shall be cleaned up.
***************
*** 951,957 ****

  	    ;; Modify file.  We wait for two seconds, in order to
  	    ;; have another timestamp.  One second seems to be too
!             ;; short.  And Cygwin sporadically requires more than two.
              (ert-with-message-capture captured-messages
                (sleep-for (if (eq system-type 'cygwin) 3 2))
                (write-region
=2D-- 972,978 ----

  	    ;; Modify file.  We wait for two seconds, in order to
  	    ;; have another timestamp.  One second seems to be too
!             ;; short.  And cygwin sporadically requires more than two.
              (ert-with-message-capture captured-messages
                (sleep-for (if (eq system-type 'cygwin) 3 2))
                (write-region
***************
*** 1021,1026 ****
=2D-- 1042,1053 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFam{File,Directory}Monitor do not detect the
+              ;; `changed' event reliably.
+ 	     ((memq (file-notify--test-monitor)
+                     '(GFamFileMonitor GFamDirectoryMonitor))
+ 	      '((deleted stopped)
+ 	        (changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 1064,1072 ****
  	        '((deleted stopped)
  	          (created deleted stopped)))
  	       ;; There are two `deleted' events, for the file and for
! 	       ;; the directory.  Except for cygwin and kqueue.  And
! 	       ;; cygwin does not raise a `changed' event.
! 	       ((eq system-type 'cygwin)
  	        '(created deleted stopped))
  	       ((string-equal (file-notify--test-library) "kqueue")
  	        '(created changed deleted stopped))
=2D-- 1091,1102 ----
  	        '((deleted stopped)
  	          (created deleted stopped)))
  	       ;; There are two `deleted' events, for the file and for
! 	       ;; the directory.  Except for
! 	       ;; GFam{File,Directory}Monitor and kqueue.  And
! 	       ;; GFam{File,Directory}Monitor do not raise a `changed'
! 	       ;; event.
! 	       ((memq (file-notify--test-monitor)
!                       '(GFamFileMonitor GFamDirectoryMonitor))
  	        '(created deleted stopped))
  	       ((string-equal (file-notify--test-library) "kqueue")
  	        '(created changed deleted stopped))
***************
*** 1169,1175 ****
  	  file-notify--test-tmpfile
  	  '(change) #'file-notify--test-event-handler)))
    (unwind-protect
!       (let ((n 1000)
              source-file-list target-file-list
              (default-directory file-notify--test-tmpfile))
          (dotimes (i n)
=2D-- 1199,1205 ----
  	  file-notify--test-tmpfile
  	  '(change) #'file-notify--test-event-handler)))
    (unwind-protect
!       (let ((n 10);00)
              source-file-list target-file-list
              (default-directory file-notify--test-tmpfile))
          (dotimes (i n)
***************
*** 1283,1291 ****
          (should (file-notify-valid-p file-notify--test-desc))
          (file-notify--test-with-actions
              (cond
!              ;; On cygwin we only get the `changed' event.
!              ((eq system-type 'cygwin)
!               '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.
=2D-- 1313,1322 ----
          (should (file-notify-valid-p file-notify--test-desc))
          (file-notify--test-with-actions
              (cond
! 	     ;; GFam{File,Directory}Monitor report only the `changed' event.
! 	     ((memq (file-notify--test-monitor)
!                     '(GFamFileMonitor GFamDirectoryMonitor))
! 	      '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.
***************
*** 1355,1361 ****
          (should (file-notify-valid-p file-notify--test-desc1))
          (should (file-notify-valid-p file-notify--test-desc2))
          (should-not (equal file-notify--test-desc1 file-notify--test-des=
c2))
!         (let ((n 100))
            ;; Run the test.
            (file-notify--test-with-actions
                ;; There could be one or two `changed' events.
=2D-- 1386,1392 ----
          (should (file-notify-valid-p file-notify--test-desc1))
          (should (file-notify-valid-p file-notify--test-desc2))
          (should-not (equal file-notify--test-desc1 file-notify--test-des=
c2))
!         (let ((n 10));0))
            ;; Run the test.
            (file-notify--test-with-actions
                ;; There could be one or two `changed' events.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 22 Mar 2021 14:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 22 10:17:54 2021
Received: from localhost ([127.0.0.1]:58203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOLNS-0001Th-0O
	for submit <at> debbugs.gnu.org; Mon, 22 Mar 2021 10:17:54 -0400
Received: from mail.opencsw.org ([82.220.5.51]:64086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dam@HIDDEN>) id 1lOLNO-0001TX-SF
 for 47262 <at> debbugs.gnu.org; Mon, 22 Mar 2021 10:17:51 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.opencsw.org (Postfix) with ESMTP id 4F3xRJ5gvxzrQ;
 Mon, 22 Mar 2021 15:17:48 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=opencsw.org; h=
 x-mailer:to:references:message-id:content-transfer-encoding:date
 :date:in-reply-to:from:from:subject:subject:mime-version
 :content-type:content-type; s=csw02; t=1616422652; bh=2xCr4MB/gA
 eTM5cvN5iA/nGK+E0RJFm8wrWDWec/JYw=; b=GqUSrSE2Dlb2IjmpkFo0BeaFQx
 W50RTyPkp0JzOE/2rZXK13br6FFNItIFgezyXeqmcO3MJ7JvhIxxnR+8aieD8WiR
 WYaYc5um7ASaIKk8B3Ag5d+WEcn/G0BSUW0IQmxXHSMtFElcZ5EB0VqlNw7fZuyr
 BlJ13AQHi+QRT/QxbeMLtWIIP4J72EMbnlrApIFYVXvLlXWuBx8ewSwGz1UnstBQ
 yoySNZ4nQPXhVE6yFCBi+5Ob+a+SwdZ5cvRnKUkJjUIcVafAJjQW0qWfYCKnwB9T
 tsv6iWFj0lCpDVtdcIxUQ5HJy9cEHtM78BnxNM76Ik+KVu3bNxXTRrXvP1ZA==
X-Virus-Scanned: amavisd-new at opencsw.org
Received: from mail.opencsw.org ([127.0.0.1])
 by localhost (mail.opencsw.org [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id XUrFO7aBckwI; Mon, 22 Mar 2021 15:17:32 +0100 (CET)
Received: from bo-prod-209.baltic-online.de (portal.baltic-online.de
 [213.178.77.168])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: dam)
 by mail.opencsw.org (Postfix) with ESMTPSA id 4F3xQz6vm8zrP;
 Mon, 22 Mar 2021 15:17:31 +0100 (CET)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
From: Dagobert Michelsen <dam@HIDDEN>
In-Reply-To: <87lfag7jw8.fsf@HIDDEN>
Date: Mon, 22 Mar 2021 15:17:30 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <4390F29D-9987-42C5-AE07-0CE61EB52C55@HIDDEN>
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN> <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN> <87lfag7jw8.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

Hi Michael,

Am 21.03.2021 um 13:48 schrieb Michael Albinus <michael.albinus@HIDDEN>:
> Thanks. I've appended another patch, which should fix all open =
problems
> on Solaris. Could you pls check?
>=20
> Furthermore, I have seen that you didn't run the expensive tests
> file-notify-test07-many-events and
> file-notify-test09-watched-file-in-watched-dir. I expect further
> problems there, so please call
>=20
> # make -C test filenotify-tests.log

This does not terminate in test #7 and I manually needed to kill it:

/bin/bash: line 2: 26390 Terminated              HOME=3D/nonexistent =
EMACSLOADPATH=3D LC_ALL=3DC =
EMACS_TEST_DIRECTORY=3D/home/dam/mgar/pkg/emacs/trunk/work/solaris10-sparc=
/build-isa-sparcv8plus-features-athena/emacs-27.2/test "../src/emacs" =
--module-assertions --no-init-file --no-site-file --no-site-lisp -L ":." =
-l ert -l lisp/filenotify-tests.el --batch --eval =
'(ert-run-tests-batch-and-exit (quote (not (tag :unstable))))' > =
lisp/filenotify-tests.log 2>&1


Best regards

  =E2=80=94 Dago

--=20
"You don't become great by trying to be great, you become great by =
wanting to do something,
and then doing it so hard that you become great in the process." - xkcd =
#896





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 21 Mar 2021 12:48:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 08:48:19 2021
Received: from localhost ([127.0.0.1]:53728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNxVC-0008NK-Ot
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 08:48:19 -0400
Received: from mout.gmx.net ([212.227.15.19]:46475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lNxVA-0008N6-5h
 for 47262 <at> debbugs.gnu.org; Sun, 21 Mar 2021 08:48:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1616330889;
 bh=bWKClXPvt1KPrOXNWODO6YX1xWgbqZWXVqFFUfSeznE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=cbSOWuDf0hu0ZKmq+Oj+GltAE53QmuqAg2PxGAjVW5ISuLYWsLPhzZj3zH0Pviesl
 QhuuYLe2PAhDHJ8uY8A/tMwP+EptdCQyZY3ed51wSYPbWXNC+LReHrrXqcaX83voXd
 4fFBJtwM7RVr9tKI27q1EuTxT41bNb4nO6/BK2Hw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.37.61]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MmULr-1m5qyP4A6b-00iT52; Sun, 21
 Mar 2021 13:48:09 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
 <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN>
 <87pmzt7rh9.fsf@HIDDEN>
 <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN>
Date: Sun, 21 Mar 2021 13:48:07 +0100
In-Reply-To: <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN> (Dagobert
 Michelsen's message of "Sat, 20 Mar 2021 21:02:51 +0100")
Message-ID: <87lfag7jw8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:0M6QQ6pu0GlfYFQu2+uLwieyzBYLzT6PBInFOBNNnJTwBYsf9gH
 AxYxJzWBPZqmf+Vv9FHEkquMkL9uG8JgH1yeVJXZpcsDHrYBrMYMDz98fuoQgHqjdhV/j4N
 gtxkt/cRtE0teYnk4XdQFdB5qC3kJ5iSu+ikunEX+kSYMcyQzrb+1ZT2F/V0ANGifINpFoJ
 WBxz3dDf9+XM3LKHT/1Hw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:xC1wF2B3QFg=:Wz6IrPWKMUhvNuFzFjO5cf
 6HYpheANb2QXXrLrcbsaCK1I4lb6I7nvJBDuxy2JpYeqUb3ukpnXCfe1wYaY6+/srCBekJzz7
 1ZC00jPqtFCx8SXSkEBWSTniT/LPtt8faNcIjij0uQDKR/Sg3VVA/IIKapS7y8JC7IDTrD8DL
 mroQxTJNMA4/TAXinA14kz97RAGTrBWgSbhqrkRavjgkM3G4Ruyu6QEz8kxvun0ZkfaCpjOcp
 mFE8kzxskVa0ySqo/7Uh5eQGhKFSaAHDZjcrvcWPEqcnY3Fy+Sn1l685SqD8vX5ClIFEmUJwl
 KpKdXfGWagJbp+1IhVtun1OVYascEIam4D7B2SLtzAtE71nTkXeXq5aDKQn5cxuol/d77RIq1
 +7peZ2B4MYoiVwHzMl5dCCpSP0vFgUWm9P0GshemIJXnGJU7xnJpMVOdY65GWXgg6TftbLZa/
 CBiHAy3YBo7KbjokN308VzQgxSg6z+qMFyCdwmUYwrEHcXNBYZAzJ9rqCPWABZ7uRJtJy5wqM
 1B0ACW6S8gIojf6PDPIvkV/fdBKRiZIX46TSMV5h7TVj5dY4SPtN2xZifgWbOZWi1nn/LbFGV
 RcZ63jwaiOLFThSD4Yfq15SjRnS3/zhr9yID9jX1Qte+EDcPCdBdzVsh0Cz1TDpz2Snwk4FXD
 oXGOiuHbqAwa3JPAdPpSO9UjAPxTpgzOOJHAK/Aro/AP9MYKqjSl91WPu7LXVROR16Hxibhxk
 IF4jqXAaPPmTg8XiZHDOwHq8JHXFhFa5bDm/ORW/KKR0gwWMVHA8/5qOK56Kc6F3lxghXrO44
 GoS9LRw+Lwe4LX9t6P6gtZB4b8Rlj9M1R1WTiKQj5lgsm17N9JgOPMxaox9ZTyrVHqW/MxTkt
 omQsPzUmcABf0VMdrULw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Dagobert Michelsen <dam@HIDDEN> writes:

> Hallo Michael,

Hi Dago,

> Here is the log file from the recent patch:

Thanks. I've appended another patch, which should fix all open problems
on Solaris. Could you pls check?

Furthermore, I have seen that you didn't run the expensive tests
file-notify-test07-many-events and
file-notify-test09-watched-file-in-watched-dir. I expect further
problems there, so please call

# make -C test filenotify-tests.log

Likely, there will be other errors. In that case, set file-notify-debug
to t (line 201), and rerun that expensive test. There will be similar
traces in the log file as you have sent already, which shall allow me to
continue to work.

> Best regards
>
>   =E2=80=94 Dago

Many thanks, and best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable

*** /tmp/ediffpZId9s	2021-03-21 13:38:20.876372597 +0100
=2D-- /usr/local/src/emacs-27/test/lisp/filenotify-tests.el	2021-03-21 13:=
36:24.497655703 +0100
***************
*** 105,115 ****
     (cond
      ;; gio/gpollfilemonitor.c declares POLL_TIME_SECS 5.  So we must
      ;; wait at least this time in the GPollFileMonitor case.  A
!     ;; similar timeout seems to be needed in the GFamFileMonitor case,
!     ;; at least on Cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
=2D-- 105,115 ----
     (cond
      ;; gio/gpollfilemonitor.c declares POLL_TIME_SECS 5.  So we must
      ;; wait at least this time in the GPollFileMonitor case.  A
!     ;; similar timeout seems to be needed in the GFamFileMonitor and
!     ;; GFamDirectoryMonitor case, at least on cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GFamDirectoryMonitor GPollFileMonitor)=
))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
***************
*** 455,461 ****

    (unwind-protect
        ;; Check, that removing watch descriptors out of order do not
!       ;; harm.  This fails on Cygwin because of timing issues unless a
        ;; long `sit-for' is added before the call to
        ;; `file-notify--test-read-event'.
        (unless (eq system-type 'cygwin)
=2D-- 455,461 ----

    (unwind-protect
        ;; Check, that removing watch descriptors out of order do not
!       ;; harm.  This fails on cygwin because of timing issues unless a
        ;; long `sit-for' is added before the call to
        ;; `file-notify--test-read-event'.
        (unless (eq system-type 'cygwin)
***************
*** 542,547 ****
=2D-- 542,551 ----
  	    file-notify--test-results
  	    (append file-notify--test-results `(,result))))))

+ (defun file-notify--test-event-actions ()
+   "Helper function to return retrieved actions, as list."
+   (mapcar #'file-notify--test-event-action file-notify--test-events))
+
  (defun file-notify--test-with-actions-check (actions)
    "Check whether received actions match one of the ACTIONS alternatives.=
"
    (let (result)
***************
*** 550,571 ****
              (or result
                  (if (eq (car elt) :random)
                      (equal (sort (cdr elt) 'string-lessp)
!                            (sort (mapcar #'file-notify--test-event-actio=
n
!                                          file-notify--test-events)
                                   'string-lessp))
!                   (equal elt (mapcar #'file-notify--test-event-action
!                                      file-notify--test-events))))))))

  (defun file-notify--test-with-actions-explainer (actions)
    "Explain why `file-notify--test-with-actions-check' fails."
    (if (null (cdr actions))
        (format "Received actions do not match expected actions\n%s\n%s"
!               (mapcar #'file-notify--test-event-action file-notify--test=
-events)
!               (car actions))
      (format
       "Received actions do not match any sequence of expected actions\n%s=
\n%s"
!      (mapcar #'file-notify--test-event-action file-notify--test-events)
!      actions)))

  (put 'file-notify--test-with-actions-check 'ert-explainer
       'file-notify--test-with-actions-explainer)
=2D-- 554,578 ----
              (or result
                  (if (eq (car elt) :random)
                      (equal (sort (cdr elt) 'string-lessp)
!                            (sort (file-notify--test-event-actions)
                                   'string-lessp))
!                   (equal elt (file-notify--test-event-actions))))))
!     ;; Do not report result in case we debug.  Write messages instead.
!     (if file-notify-debug
!         (prog1 t
!           (if result
!               (message "Success\n%s" (file-notify--test-event-actions))
!             (message (file-notify--test-with-actions-explainer actions))=
))
!       result)))

  (defun file-notify--test-with-actions-explainer (actions)
    "Explain why `file-notify--test-with-actions-check' fails."
    (if (null (cdr actions))
        (format "Received actions do not match expected actions\n%s\n%s"
!               (file-notify--test-event-actions) (car actions))
      (format
       "Received actions do not match any sequence of expected actions\n%s=
\n%s"
!      (file-notify--test-event-actions) actions)))

  (put 'file-notify--test-with-actions-check 'ert-explainer
       'file-notify--test-with-actions-explainer)
***************
*** 635,640 ****
=2D-- 642,650 ----
               ;; cygwin does not raise a `changed' event.
               ((eq system-type 'cygwin)
                '(created deleted stopped))
+ 	     ;; GFamDirectoryMonitor does not report the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(created deleted stopped))
               (t '(created changed deleted stopped)))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 665,670 ****
=2D-- 675,685 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFamDirectoryMonitor does not detect the `changed'
+              ;; event reliably.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '((deleted stopped)
+ 		(changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 713,718 ****
=2D-- 728,736 ----
  	     ;; cygwin does not raise a `changed' event.
  	     ((eq system-type 'cygwin)
  	      '(created deleted stopped))
+ 	     ;; GFamDirectoryMonitor does not report the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(created deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed deleted stopped))
  	     (t '(created changed deleted deleted stopped)))
***************
*** 755,763 ****
  	      '((deleted stopped)
  		(created created deleted stopped)))
  	     ;; There are three `deleted' events, for two files and
! 	     ;; for the directory.  Except for cygwin and kqueue.
  	     ((eq system-type 'cygwin)
  	      '(created created changed changed deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed created changed deleted stopped))
               ;; On emba, `deleted' and `stopped' events of the
=2D-- 773,784 ----
  	      '((deleted stopped)
  		(created created deleted stopped)))
  	     ;; There are three `deleted' events, for two files and
! 	     ;; for the directory.  Except for cygwin,
! 	     ;; GFamDirectoryMonitor and kqueue.
  	     ((eq system-type 'cygwin)
  	      '(created created changed changed deleted stopped))
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(created created changed changed deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed created changed deleted stopped))
               ;; On emba, `deleted' and `stopped' events of the
***************
*** 813,823 ****
               ((getenv "EMACS_EMBA_CI")
                '(created changed renamed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for cygwin and kqueue.  And
! 	     ;; cygwin raises `created' and `deleted' events instead
! 	     ;; of a `renamed' event.
  	     ((eq system-type 'cygwin)
  	      '(created created deleted deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed renamed deleted stopped))
  	     (t '(created changed renamed deleted deleted stopped)))
=2D-- 834,847 ----
               ((getenv "EMACS_EMBA_CI")
                '(created changed renamed deleted))
  	     ;; There are two `deleted' events, for the file and for
! 	     ;; the directory.  Except for cygwin,
! 	     ;; GFamDirectoryMonitor and kqueue.  And cygwin and
! 	     ;; GFamDirectoryMonitor raise `created' and `deleted'
! 	     ;; events instead of a `renamed' event.
  	     ((eq system-type 'cygwin)
  	      '(created created deleted deleted stopped))
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(created created deleted deleted stopped))
  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed renamed deleted stopped))
  	     (t '(created changed renamed deleted deleted stopped)))
***************
*** 837,844 ****
      (file-notify--test-cleanup))

    (unwind-protect
!       ;; Check attribute change.  Does not work for cygwin.
!       (unless (eq system-type 'cygwin)
  	(setq file-notify--test-tmpfile (file-notify--test-make-temp-name))
  	(write-region
  	 "any text" nil file-notify--test-tmpfile nil 'no-message)
=2D-- 861,870 ----
      (file-notify--test-cleanup))

    (unwind-protect
!       ;; Check attribute change.  Does not work for cygwin and
!       ;; GFamDirectoryMonitor.
!       (unless (or (eq system-type 'cygwin)
!                   (equal (file-notify--test-monitor) 'GFamDirectoryMonit=
or))
  	(setq file-notify--test-tmpfile (file-notify--test-make-temp-name))
  	(write-region
  	 "any text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 951,957 ****

  	    ;; Modify file.  We wait for two seconds, in order to
  	    ;; have another timestamp.  One second seems to be too
!             ;; short.  And Cygwin sporadically requires more than two.
              (ert-with-message-capture captured-messages
                (sleep-for (if (eq system-type 'cygwin) 3 2))
                (write-region
=2D-- 977,983 ----

  	    ;; Modify file.  We wait for two seconds, in order to
  	    ;; have another timestamp.  One second seems to be too
!             ;; short.  And cygwin sporadically requires more than two.
              (ert-with-message-capture captured-messages
                (sleep-for (if (eq system-type 'cygwin) 3 2))
                (write-region
***************
*** 1021,1026 ****
=2D-- 1047,1057 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFamDirectoryMonitor does not detect the `changed'
+              ;; event reliably.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '((deleted stopped)
+ 	        (changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 1064,1073 ****
  	        '((deleted stopped)
  	          (created deleted stopped)))
  	       ;; There are two `deleted' events, for the file and for
! 	       ;; the directory.  Except for cygwin and kqueue.  And
! 	       ;; cygwin does not raise a `changed' event.
  	       ((eq system-type 'cygwin)
  	        '(created deleted stopped))
  	       ((string-equal (file-notify--test-library) "kqueue")
  	        '(created changed deleted stopped))
  	       (t '(created changed deleted deleted stopped)))
=2D-- 1095,1107 ----
  	        '((deleted stopped)
  	          (created deleted stopped)))
  	       ;; There are two `deleted' events, for the file and for
! 	       ;; the directory.  Except for cygwin,
! 	       ;; GFamDirectoryMonitor and kqueue.  And cygwin and
! 	       ;; GFamDirectoryMonitor do not raise a `changed' event.
  	       ((eq system-type 'cygwin)
  	        '(created deleted stopped))
+ 	       ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	        '(created deleted stopped))
  	       ((string-equal (file-notify--test-library) "kqueue")
  	        '(created changed deleted stopped))
  	       (t '(created changed deleted deleted stopped)))
***************
*** 1286,1291 ****
=2D-- 1320,1328 ----
               ;; On cygwin we only get the `changed' event.
               ((eq system-type 'cygwin)
                '(changed))
+ 	     ;; GFamDirectoryMonitor reports only the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 20 Mar 2021 20:03:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 20 16:03:15 2021
Received: from localhost ([127.0.0.1]:53158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNhoY-0000d8-UT
	for submit <at> debbugs.gnu.org; Sat, 20 Mar 2021 16:03:15 -0400
Received: from mail.opencsw.org ([82.220.5.51]:63841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dam@HIDDEN>) id 1lNhoV-0000cx-Ow
 for 47262 <at> debbugs.gnu.org; Sat, 20 Mar 2021 16:03:14 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.opencsw.org (Postfix) with ESMTP id 4F2sBj5K4gzmP;
 Sat, 20 Mar 2021 21:03:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=opencsw.org; h=
 x-mailer:references:to:in-reply-to:date:date:subject:subject
 :mime-version:content-type:content-type:message-id:from:from; s=
 csw02; t=1616270573; bh=euIfoBUoPPUuKGD1n+ltv0VCCsr1Ot9MXE+d/hgd
 5vM=; b=Ha1Xdbv94Sv4zlE1Mz2bOArFkCvgsBAcUH7ByOsvHxuGstXWsSJ2cpu/
 YWwJjvcP0bXafMmJuvaltL0FdQCEwczGS4j8gkt1xpXy4YNCiWgqDHG3XsU7NSMp
 wLkohFMWxmj0S+3eUNfmxRA7SJ1x9CWmuBaq91qg7PzpkwY8REEaiv3V1dhoTVan
 AqZVAMSuf/9rmOaeCaEVvdcHpAuGachtmDCr7Yp+ECtx+uKIXG/gamSHXWvRtF9p
 FsUayQE+f0aK+vuqtBa06db4F2dJTYRdfX1sQZaSpV2EtGpokZ9DJjnNbagSgSmX
 f/0YGXxtthKYLJeEnOOdts9G93Rf2A==
X-Virus-Scanned: amavisd-new at opencsw.org
Received: from mail.opencsw.org ([127.0.0.1])
 by localhost (mail.opencsw.org [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id LC0QbqfDgYrw; Sat, 20 Mar 2021 21:02:53 +0100 (CET)
Received: from andromeda-45.fritz.box (236-223-103-86.dynamic.dsl.tng.de
 [86.103.223.236])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: dam)
 by mail.opencsw.org (Postfix) with ESMTPSA id 4F2sBN651GzmN;
 Sat, 20 Mar 2021 21:02:52 +0100 (CET)
From: Dagobert Michelsen <dam@HIDDEN>
Message-Id: <D5637638-F321-4F60-A041-DB5432F37054@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_7EB86EC4-889F-4C46-8220-4293E2F7516B"
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
Date: Sat, 20 Mar 2021 21:02:51 +0100
In-Reply-To: <87pmzt7rh9.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN> <87pmzt7rh9.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


--Apple-Mail=_7EB86EC4-889F-4C46-8220-4293E2F7516B
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

Hallo Michael,

Am 20.03.2021 um 16:52 schrieb Michael Albinus <michael.albinus@HIDDEN>:
> Well, here's another patch you could apply instead. I've changed the
> tests as indicated in the previous log file. And in order to cut the
> number of iterations, I don't let fail the tests any longer, but let
> them trace what happens. Could you, pls, send me the next log file,
> produced after applying this patch?

Here is the log file from the recent patch:


--Apple-Mail=_7EB86EC4-889F-4C46-8220-4293E2F7516B
Content-Disposition: attachment;
	filename=filenotify-tests.log
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="filenotify-tests.log"
Content-Transfer-Encoding: 7bit

Running 8 tests (2021-03-20 18:16:55+0100, selector `(not (or (tag :expensive-test) (tag :unstable)))')
Library: `gfilenotify'
Monitor: `GFamDirectoryMonitor'
   passed  1/8  file-notify-test00-availability (0.103754 sec)
   passed  2/8  file-notify-test01-add-watch (0.014330 sec)
   passed  3/8  file-notify-test02-rm-watch (1.003603 sec)
Success!
(created deleted stopped)
Received actions do not match expected actions
(changed deleted stopped)
(deleted stopped)
Success!
(created deleted stopped)
Received actions do not match expected actions
(created created changed changed deleted stopped)
(created changed created changed deleted deleted deleted stopped)
Received actions do not match expected actions
(created created deleted deleted stopped)
(created changed renamed deleted deleted stopped)
Received actions do not match expected actions
nil
(attribute-changed attribute-changed)
   passed  4/8  file-notify-test03-events (144.107015 sec)
Reverting buffer `file-notify-testoR7LG5'.
Reverting buffer `file-notify-testoR7LG5'.
   passed  5/8  file-notify-test04-autorevert (18.063908 sec)
Received actions do not match expected actions
(changed deleted stopped)
(deleted stopped)
Received actions do not match expected actions
(created deleted stopped)
(created changed deleted deleted stopped)
   passed  6/8  file-notify-test05-file-validity (34.039652 sec)
   passed  7/8  file-notify-test06-dir-validity (3.012760 sec)
Success!
(changed)
Success!
(changed)
   passed  8/8  file-notify-test08-backup (26.072395 sec)

Ran 8 tests, 8 results as expected, 0 unexpected (2021-03-20 18:20:42+0100, 226.429326 sec)


--Apple-Mail=_7EB86EC4-889F-4C46-8220-4293E2F7516B
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8




Best regards

  =E2=80=94 Dago

--=20
"You don't become great by trying to be great, you become great by =
wanting to do something,
and then doing it so hard that you become great in the process." - xkcd =
#896


--Apple-Mail=_7EB86EC4-889F-4C46-8220-4293E2F7516B--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 20 Mar 2021 15:52:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 20 11:52:14 2021
Received: from localhost ([127.0.0.1]:53035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNdtd-0001by-KA
	for submit <at> debbugs.gnu.org; Sat, 20 Mar 2021 11:52:13 -0400
Received: from mout.gmx.net ([212.227.17.22]:41513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lNdtc-0001bm-Ab
 for 47262 <at> debbugs.gnu.org; Sat, 20 Mar 2021 11:52:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1616255524;
 bh=vr8wtsHIYC5d20Ceus4tNYsHlgra+i5XLIeqnK0hwJw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Ql8mnV4T99+8uQnWyV4E86/Df6CIbYJf8ygN/whuskFL3e8EJo2nGydgdrGD+ZTWe
 3rIJ//JlFfuHVZp0UMsRilh9vcqDh1g10dt9TJvmRL2vh6Jhd0IC+8Gm+MfXSKN2SU
 5SQQ2HPUnzEiZKWphfhAsl+doQmqBHHa1uMdYYBU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.61.132]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mg6Zq-1lt6ZG1EtS-00hhgz; Sat, 20
 Mar 2021 16:52:04 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
 <87tup66vrp.fsf@HIDDEN>
 <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN>
Date: Sat, 20 Mar 2021 16:52:02 +0100
In-Reply-To: <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN> (Dagobert
 Michelsen's message of "Sat, 20 Mar 2021 15:14:27 +0100")
Message-ID: <87pmzt7rh9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:kZrw9uZUW/JgJT0zn/UFrVslUJcSw+wc4cS5nrA88paQaq2/Rj+
 490vLNf75vBJOrD2Nuap4a4a3bMa2OSBOFL2k/lbnnyLfmPNWRFMqBUY+wQbj4mJvoych5w
 7cNRUAGsk8RRpYJN72skJf/rVO7ap0N0l6dGHcyZ8za6aZhQQv9SwY2TPdyE+leDm57YdZg
 mJ48pwrTGWSZ0QWtqwMRA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:iQh8OhVShhk=:X5wNIx1qenQCiPIreTucd+
 KsnEywgE4qrQZjh/BnPklbM5tqwyMmbPCSYtQNLf2SzUuh6m89nrdDXhHo6iLlNMLPGpHyHz+
 6L4aUpeZrEYLyzuaob7vR6V1uboWuKSEIdOkz/h+HEWFkUpa6CvMKyN5uCrzGbqx5NKI/WMHI
 PRnbQUvUb4SpBf3oB/OIuIb1bn2NHKU7hwhvUkuZ5mBgWCfDzD6qDR5kV/8tEFoHLcVbm0xCP
 QbpuIMXRKMexQitUfy+gcb2uDAKw2PDjIx1MNePmTYKMS5Ju+KaYxK2EgT7nUOLEMU9bwL3sf
 Ja3BDVRrwz5XQzf7YzlEgUIcdQGwy0mxcVC91pjel+OhnaxmqBan2qpIMv6J4hOx7VhLIqP9S
 +cfkP91uLtl4+CWHA7ZSpsCZMI0Mv6kbgQjCoXVZmXDZuZHE+051rOTtDNZ9wy2fOAEp4bzi3
 zPR02S+7PBmcvLd9fAbLAOC43iNWQPP5gycN4rhZfSQuxbeksFM+ZwOgpWZvrcVxBKZXnsmXz
 2cUxvMLiAp32YqqaDeAVOeOK9SYldt8xs9emX9Aa2LFBjDsQoj6jve21hcS9pwPzAiSALRP92
 P/YCEKYx0fRPKDdVmPtIUq4v7/VX6sOw/qtaZzyfWe19oZZGUM+He1W0HO2MKVNXXYPdZ/FRL
 C1bVrGZiEMxBjCM0cf9ikTAbFrqMc/ujvaB4MposytK3LOCguVeq26yyrU9YpMH0yuboL9UP7
 C+r1b4+vr6ZSbtkKRDkDea8Zl8GIM5AQbJozqDDHtlBZ4xZNeaUBIOxfUXRWVRyeUkebbtC6Z
 gkSmcpll9vlxPXah7Z/Kt0E6Sq87ncVrAkO3A3MykDYhSK0+RfyJ1NH4onuLzeY7TvbhRN2eT
 3Pm58zyRfh4OJ/3JatRQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Dagobert Michelsen <dam@HIDDEN> writes:

> Hi Michael,

Hi Dago,

>> Many thanks in advance (and be
>> prepared, I will exploit you iteratively until all tests pass. If you
>> agree :-)
>
> Of course :-)

Well, here's another patch you could apply instead. I've changed the
tests as indicated in the previous log file. And in order to cut the
number of iterations, I don't let fail the tests any longer, but let
them trace what happens. Could you, pls, send me the next log file,
produced after applying this patch?

> Best regards
>
>   =E2=80=94 Dago

Thanks, and best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable

*** /tmp/ediffumMrVc	2021-03-20 16:50:58.959414691 +0100
=2D-- /home/albinus/src/emacs-27/test/lisp/filenotify-tests.el	2021-03-20 =
16:44:46.138512407 +0100
***************
*** 109,115 ****
      ;; at least on Cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
=2D-- 109,115 ----
      ;; at least on Cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GFamDirectoryMonitor GPollFileMonitor)=
))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1=
)
      ((file-remote-p temporary-file-directory) 0.1)
***************
*** 607,613 ****
           (ert-fail
            (cadr (ert-test-result-with-condition-condition result)))))
       ;; One of the possible event sequences shall match.
!      (should (file-notify--test-with-actions-check actions))))

  (ert-deftest file-notify-test03-events ()
    "Check file creation/change/removal notifications."
=2D-- 607,617 ----
           (ert-fail
            (cadr (ert-test-result-with-condition-condition result)))))
       ;; One of the possible event sequences shall match.
!      (if (file-notify--test-with-actions-check actions)
!          (message
!           "Success!\n%s"
!           (mapcar #'file-notify--test-event-action file-notify--test-eve=
nts))
!        (message (file-notify--test-with-actions-explainer actions)))))

  (ert-deftest file-notify-test03-events ()
    "Check file creation/change/removal notifications."
***************
*** 635,640 ****
=2D-- 639,647 ----
               ;; cygwin does not raise a `changed' event.
               ((eq system-type 'cygwin)
                '(created deleted stopped))
+ 	     ;; GFamDirectoryMonitor does not report the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(created deleted stopped))
               (t '(created changed deleted stopped)))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 666,672 ****
  	      '((deleted stopped)
  		(changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
! 	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
=2D-- 673,682 ----
  	      '((deleted stopped)
  		(changed deleted stopped)))
  	     ;; There could be one or two `changed' events.
! 	     ;; GFamDirectoryMonitor does not report the `changed' event.
! 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
! 	      '(deleted stopped))
!  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
            (write-region
             "another text" nil file-notify--test-tmpfile nil 'no-message)
***************
*** 713,719 ****
  	     ;; cygwin does not raise a `changed' event.
  	     ((eq system-type 'cygwin)
  	      '(created deleted stopped))
! 	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed deleted stopped))
  	     (t '(created changed deleted deleted stopped)))
  	  (write-region
=2D-- 723,732 ----
  	     ;; cygwin does not raise a `changed' event.
  	     ((eq system-type 'cygwin)
  	      '(created deleted stopped))
! 	     ;; GFamDirectoryMonitor does not report the `changed' event.
! 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
! 	      '(created deleted stopped))
!  	     ((string-equal (file-notify--test-library) "kqueue")
  	      '(created changed deleted stopped))
  	     (t '(created changed deleted deleted stopped)))
  	  (write-region
***************
*** 1021,1026 ****
=2D-- 1034,1042 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFamDirectoryMonitor does not report the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(deleted stopped))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 1286,1291 ****
=2D-- 1302,1310 ----
               ;; On cygwin we only get the `changed' event.
               ((eq system-type 'cygwin)
                '(changed))
+ 	     ;; GFamDirectoryMonitor reports only the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 20 Mar 2021 14:14:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 20 10:14:50 2021
Received: from localhost ([127.0.0.1]:52950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNcNO-0007hm-DM
	for submit <at> debbugs.gnu.org; Sat, 20 Mar 2021 10:14:50 -0400
Received: from mail.opencsw.org ([82.220.5.51]:63799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dam@HIDDEN>) id 1lNcNL-0007hc-UU
 for 47262 <at> debbugs.gnu.org; Sat, 20 Mar 2021 10:14:49 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.opencsw.org (Postfix) with ESMTP id 4F2jSj67dzzlb;
 Sat, 20 Mar 2021 15:14:45 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=opencsw.org; h=
 x-mailer:references:to:in-reply-to:date:date:subject:subject
 :mime-version:content-type:content-type:message-id:from:from; s=
 csw02; t=1616249669; bh=7vp0FnE+whoQIY4hzK42UZLyh2wuW7OjOftmQeLT
 Nps=; b=ft0vnSz8eeMw2AuEc9P8lkMpBUCr8X4yQ+F4fUrU1MsEBhk3+2o1UXe7
 ChOglhOl5E4pTZKBswFdbaXyMPFUZC6k7UTvahshc8QP9TAUPjiIu4cIJe1HPDOh
 bgbZYBjD0s2mYOjnT90HSktidrtj7tnEKhC26swevhNKeQ4SjhGs+KUmqBeEpmq8
 oKIhRnpD9QdCotq7NF06Lb7FTwiPnslaaAR+UhoJlhHIlBmcFiyRP+2XKdpuZBsB
 yR07GhYPHMbtaGyDpHJcJQLf/6r44TbbUFh8U354pAnhIjv7C4v23dc2MNGNfX9F
 YLjcO9l7ekUdILJE6ZFGqjW539e7EQ==
X-Virus-Scanned: amavisd-new at opencsw.org
Received: from mail.opencsw.org ([127.0.0.1])
 by localhost (mail.opencsw.org [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 3QYr8Q5-ugKu; Sat, 20 Mar 2021 15:14:29 +0100 (CET)
Received: from andromeda-45.fritz.box (236-223-103-86.dynamic.dsl.tng.de
 [86.103.223.236])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: dam)
 by mail.opencsw.org (Postfix) with ESMTPSA id 4F2jSN5xgNzlZ;
 Sat, 20 Mar 2021 15:14:28 +0100 (CET)
From: Dagobert Michelsen <dam@HIDDEN>
Message-Id: <35210B18-1068-41CF-A18E-318E9C37CEDC@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_19FB4F6B-FE98-41B6-BEBF-48CCBDD0532A"
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
Date: Sat, 20 Mar 2021 15:14:27 +0100
In-Reply-To: <87tup66vrp.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> <87tup66vrp.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


--Apple-Mail=_19FB4F6B-FE98-41B6-BEBF-48CCBDD0532A
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

Hi Michael,

Am 20.03.2021 um 10:04 schrieb Michael Albinus <michael.albinus@HIDDEN>:
> Dagobert Michelsen <dam@HIDDEN> writes:
> Wow! I know that the GFamDirectoryMonitor exists (it is in the gio
> sources), but I couldn't test it ever. Solaris.
> 
> Could you pls apply the appended patch to filenotify-tests.el and show
> the changed filenotify-tests.log file?

Sure, please find the file attached.


--Apple-Mail=_19FB4F6B-FE98-41B6-BEBF-48CCBDD0532A
Content-Disposition: attachment;
	filename=filenotify-tests.log
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="filenotify-tests.log"
Content-Transfer-Encoding: 7bit

Running 8 tests (2021-03-20 14:07:20+0100, selector `(not (or (tag :expensive-test) (tag :unstable)))')
Library: `gfilenotify'
Monitor: `GFamDirectoryMonitor'
   passed  1/8  file-notify-test00-availability (0.114761 sec)
   passed  2/8  file-notify-test01-add-watch (0.021881 sec)
   passed  3/8  file-notify-test02-rm-watch (0.983746 sec)
Test file-notify-test03-events backtrace:
  signal(ert-test-failed (((should (file-notify--test-with-actions-che
  ert-fail(((should (file-notify--test-with-actions-check actions)) :f
  #f(compiled-function () #<bytecode 0x165123>)()
  ert--run-test-internal(#s(ert--test-execution-info #s(ert-test file-
  ert-run-test(#s(ert-test file-notify-test03-events "Check file creat
  ert-run-or-rerun-test(#s(ert--stats (not ...) [#s(ert-test file-noti
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/filenotify-tests" "-
  command-line()
  normal-top-level()
Test file-notify-test03-events condition:
    (ert-test-failed
     ((should
       (file-notify--test-with-actions-check actions))
      :form
      (file-notify--test-with-actions-check
       ((created changed deleted stopped)))
      :value nil :explanation "Received actions do not match expected actions
(created deleted stopped)
(created changed deleted stopped)"))
   FAILED  4/8  file-notify-test03-events (17.010461 sec)
Reverting buffer `file-notify-test9LC2IC'.
Reverting buffer `file-notify-test9LC2IC'.
   passed  5/8  file-notify-test04-autorevert (18.041446 sec)
Test file-notify-test05-file-validity backtrace:
  signal(ert-test-failed (((should (file-notify--test-with-actions-che
  ert-fail(((should (file-notify--test-with-actions-check actions)) :f
  #f(compiled-function () #<bytecode 0x1655d5>)()
  ert--run-test-internal(#s(ert--test-execution-info #s(ert-test file-
  ert-run-test(#s(ert-test file-notify-test05-file-validity "Check `fi
  ert-run-or-rerun-test(#s(ert--stats (not ...) [#s(ert-test file-noti
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/filenotify-tests" "-
  command-line()
  normal-top-level()
Test file-notify-test05-file-validity condition:
    (ert-test-failed
     ((should
       (file-notify--test-with-actions-check actions))
      :form
      (file-notify--test-with-actions-check
       ((deleted stopped)))
      :value nil :explanation "Received actions do not match expected actions
(changed deleted stopped)
(deleted stopped)"))
   FAILED  6/8  file-notify-test05-file-validity (17.017923 sec)
   passed  7/8  file-notify-test06-dir-validity (3.011006 sec)
   passed  8/8  file-notify-test08-backup (26.051246 sec)

Ran 8 tests, 6 results as expected, 2 unexpected (2021-03-20 14:08:43+0100, 83.188041 sec)

2 unexpected results:
   FAILED  file-notify-test03-events
   FAILED  file-notify-test05-file-validity


--Apple-Mail=_19FB4F6B-FE98-41B6-BEBF-48CCBDD0532A
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8



> Many thanks in advance (and be
> prepared, I will exploit you iteratively until all tests pass. If you
> agree :-)

Of course :-)


Best regards

  =E2=80=94 Dago

--=20
"You don't become great by trying to be great, you become great by =
wanting to do something,
and then doing it so hard that you become great in the process." - xkcd =
#896


--Apple-Mail=_19FB4F6B-FE98-41B6-BEBF-48CCBDD0532A--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 20 Mar 2021 09:04:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 20 05:04:54 2021
Received: from localhost ([127.0.0.1]:51505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNXXS-0001nT-DC
	for submit <at> debbugs.gnu.org; Sat, 20 Mar 2021 05:04:54 -0400
Received: from mout.gmx.net ([212.227.17.22]:37221)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lNXXQ-0001nF-IY
 for 47262 <at> debbugs.gnu.org; Sat, 20 Mar 2021 05:04:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1616231084;
 bh=/scsLk9Qo6BxKVVTrpgpLasr1e7CcKc5+WF1oR6QZqY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=G6VY4UuW0geaUIkmEr4BRSxZhIjLG2YLTQOWWJDhYWCFH6Cwh2Py5T24kAv3Rrx3u
 swH/DWJf7aVbCGw2J/ZS8bpPM0aGHkEf9fgO5qikp+UxvZRpEbJOps6MbgMh4MpsTW
 k3AG/mjsnmYZbijLOtlY55QMzVEFfc0FJaktpMfQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.61.132]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MBDj4-1lXwqw1jtm-00CkF7; Sat, 20
 Mar 2021 10:04:44 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
Date: Sat, 20 Mar 2021 10:04:42 +0100
In-Reply-To: <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> (Dagobert
 Michelsen's message of "Fri, 19 Mar 2021 14:42:23 +0100")
Message-ID: <87tup66vrp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:OZQTQ5LBoXK59qfEWxuyjORgFYVTTP6e8r2OH72mH7f6WOMPrbi
 uG6ddoSrGRgCAg4yEYMDviZVGe1wbK4/8qfeHjH7Awj3t7LpGqrm4ULwz6LDSW5PEWmT0ov
 vGicgAtwvIG8RB3RQ/PVAQ/EoWUQrnxwzA3T/V7WR069i8yw30QfehvocTuo1UBedPpa1PV
 4sOkURNr/C6Fkr+3oqmPg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:EbLqZuKE1zw=:K598h4dKAOjBvucE/XzRdb
 wkKqn0LTfZLuBSt3GdNVlBfTTY+mpkCC6I0zPe/k/Tu3nRCyAE8CkUIbrcJz2iE3QJ2JG6yRz
 WL7avQW0LN1uf7XoA0MBTGxhpkyRA+kIHxjQTNKYARDLT5Djr5mr2NdFncSFUwnn5gqjgX2yO
 FKY/oVazeWXLmrwqn3oHS6T5/50YmRWtRa4ZjbjsVVK2NbKYawD64JUQirO7iFozllQffX7Vv
 OSq3FWljOwoLGhHZOnydb8Vf3M+Kyxjy81f3Px+2ZKxN3sfVp4PN5Cfbgo2NXCBrRMRRdoIPU
 6bq3XqYrHa4Q0Eh5eWVBgKF8vt50Fd1HVfcaEUZKxqLut0jOaJGDb624dpc5a2zdDRd0mzU+f
 PrzPL6usRAtglvZIMXtTrEidKA0eJDPwlb6/ydS2Rk/MBDaXFTCuzmGHGCMjsRRzo+XhBjkSI
 6IUMZqa8QiaeBPHAXdEkbs+iapmrp8U+3QuDE4Rh2GWeEFWtqNxIAuE9WeeUjMk2ktWMCqdww
 fGk9886G3xb64yJFjZGm99DpIgPJrCPJOXI4NKiaIp+ih9ovaL56engQXNpAauZEyC1bQWoko
 d2tP2g3g70tTALBnJZKYBRiEpfpNmZiGt388c237c8/jmV8uynLcGJXDDwhFhSO0wN+WAmhJW
 civ8s+ZSL6M6UI31eZOgeXkGiTGuAw0fgYcNlyVx/YWxHHOpTC1uOgiPuHJADmtvMAzT25SB/
 p8+hOdFEV82m4S1S4W9fW2uX1HlOgPiJf5oPG3p+LzUbWfKg2W/hwbAlqVSxQsNsZc7Bkwl4b
 uHsjWXjjG4Dz04DEOUjNfMMQyF4REgeS9L1VKRIa604RqgN7VQ/LuqBEgF1/I+0JzaLFAX199
 SPbWscqqn2zVqDbXU7wg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Dagobert Michelsen <dam@HIDDEN> writes:

Hi Dago,

> I have a couple of test failures with Solaris 10 Sparc and Sun Studio:

Thanks a lot!

>   lisp/filenotify-tests.log

These errors are only in the filenotify-tests.el. There's no reason to
stop Emacs 27.2 because of this.

Running 8 tests (2021-03-19 11:06:22+0100, selector `(not (or (tag :expensi=
ve-test) (tag :unstable)))')
Library: `gfilenotify'
Monitor: `GFamDirectoryMonitor'

Wow! I know that the GFamDirectoryMonitor exists (it is in the gio
sources), but I couldn't test it ever. Solaris.

Could you pls apply the appended patch to filenotify-tests.el and show
the changed filenotify-tests.log file? Many thanks in advance (and be
prepared, I will exploit you iteratively until all tests pass. If you
agree :-)

> Best regards
>
>   =E2=80=94 Dago

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment

*** /tmp/ediffGmYi43	2021-03-20 09:57:10.563305971 +0100
--- /home/albinus/src/emacs-27/test/lisp/filenotify-tests.el	2021-03-20 09:55:13.121660549 +0100
***************
*** 109,115 ****
      ;; at least on Cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1)
      ((file-remote-p temporary-file-directory) 0.1)
--- 109,115 ----
      ;; at least on Cygwin.
      ((and (string-equal (file-notify--test-library) "gfilenotify")
            (memq (file-notify--test-monitor)
!                 '(GFamFileMonitor GFamDirectoryMonitor GPollFileMonitor)))
       7)
      ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe") 1)
      ((file-remote-p temporary-file-directory) 0.1)
***************
*** 1021,1026 ****
--- 1021,1029 ----
  	     ((string-equal (file-notify--test-library) "gvfs-monitor-dir.exe")
  	      '((deleted stopped)
  		(changed deleted stopped)))
+ 	     ;; GFamDirectoryMonitor does not report the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(deleted stopped))
  	     ;; There could be one or two `changed' events.
  	     (t '((changed deleted stopped)
  		  (changed changed deleted stopped))))
***************
*** 1286,1291 ****
--- 1289,1297 ----
               ;; On cygwin we only get the `changed' event.
               ((eq system-type 'cygwin)
                '(changed))
+ 	     ;; GFamDirectoryMonitor reports only the `changed' event.
+ 	     ((equal (file-notify--test-monitor) 'GFamDirectoryMonitor)
+ 	      '(changed))
               (t '(renamed created changed)))
            ;; The file is renamed when creating a backup.  It shall
            ;; still be watched.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 19 Mar 2021 20:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 19 16:10:11 2021
Received: from localhost ([127.0.0.1]:51070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNLRj-0003lZ-OF
	for submit <at> debbugs.gnu.org; Fri, 19 Mar 2021 16:10:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lNLRg-0003l9-M8
 for 47262 <at> debbugs.gnu.org; Fri, 19 Mar 2021 16:10:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41698)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lNLRZ-0001QL-7s; Fri, 19 Mar 2021 16:10:02 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1627
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lNLRY-0007vl-Hw; Fri, 19 Mar 2021 16:10:01 -0400
Date: Fri, 19 Mar 2021 22:09:55 +0200
Message-Id: <83wnu2dhws.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-Reply-To: <87mtuzvx5u.fsf@HIDDEN> (message from Robert Pluim on Fri, 19
 Mar 2021 19:03:09 +0100)
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> <87mtuzvx5u.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47262
Cc: dam@HIDDEN, 47262 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: eliz@HIDDEN,  47262 <at> debbugs.gnu.org
> Date: Fri, 19 Mar 2021 19:03:09 +0100
> 
> >>>>> On Fri, 19 Mar 2021 14:42:23 +0100, Dagobert Michelsen <dam@HIDDEN> said:
> 
>     Dagobert>   lisp/net/nsm-tests.log
> 
> This is Bug#45798, I think, fixed on master by 6dc4fc7d62. Itʼs a
> trivial change, I guess we could cherry-pick it to emacs-27, but itʼs
> in a code path that no sane user would enable.
> 
>     Dagobert>   lisp/net/network-stream-tests.log
> 
> And this is 90ac405702, and by extension Bug#46709 and
> Bug#46641. Thatʼs probably a bit much to put into emacs-27 (the
> underlying code is mostly fine, itʼs the tests that are wrong)

Thanks.  I think we are good for 27.2.  There's always one more bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at 47262 <at> debbugs.gnu.org:


Received: (at 47262) by debbugs.gnu.org; 19 Mar 2021 18:03:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 19 14:03:19 2021
Received: from localhost ([127.0.0.1]:50945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNJSx-0000Oe-Er
	for submit <at> debbugs.gnu.org; Fri, 19 Mar 2021 14:03:19 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:35768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lNJSv-0000OO-Ez
 for 47262 <at> debbugs.gnu.org; Fri, 19 Mar 2021 14:03:18 -0400
Received: by mail-wr1-f44.google.com with SMTP id j18so10001575wra.2
 for <47262 <at> debbugs.gnu.org>; Fri, 19 Mar 2021 11:03:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=oO6lKYosVXR7OOmW+yqzFAd4F4owMmCJjMxrVWp1ILc=;
 b=s2GnHnvX4eFLOdCTwTucEekTYdX1mpQtZq46LPPXJ/DRagxVWLhh9l+qcxZ2Xk9T2L
 E0UwGmt1o1gIeVBJtHz4w0xmNRTnfyGEk0/3LXtB3InIxpSvRp+AIp7joiP/zkGU1qDp
 ioblTwxj1lzVwZww9axPSDeVQyY1YLkDIBMt6fC+XOyZyWGwt4eExomorXfK0ksj6jxd
 Ox1ddNr2sG8ImAlPJheeLM3hz5vFtdPXY6zSkbfcvJEOsk1y9CSLIPPab6cmKfcmaU46
 kQaExdol4Xy0zSXU5TK7yicwKF1AD0jTJUc6CtsG3wpOEl6VR65psC6ByxUGBCUZ3QR1
 Yvnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=oO6lKYosVXR7OOmW+yqzFAd4F4owMmCJjMxrVWp1ILc=;
 b=diBd/A7tvy7JBgG1pGbjrcfZ3kwUMB6zQwFbabobHhunX5ZQ4veCbsvlDBlXz0UNIl
 IL4gbbAqFeMI+qB/VFEs7vP0Fe256m1FIJpQ3we4vgWT3sEqfQnleLl2dzc/xQvEeS96
 5vWxwNC/KTV1tY9tpZy0qu+mKpQRqOMx/j8KAVAONjuqu+bsAvHgBuacBehHEimUtPnb
 GqpMFNM6M3MCIFzdQcrrLyS5G7YPsi1jqNxxncA88Yo1wa0lhtTICT5GYeXCWUB8MD8O
 z4uc7nxVvnch2/gE0eAy8o9nzKsXMTE3HWG/4FyI6VwrNda2XTLrtKRw22NgzQqwIu5i
 vn5A==
X-Gm-Message-State: AOAM530xvYYTT3cBXeP3PiS2dbUv80VOcQJVtzVSPXEEEcYHvPaYNeMB
 1HK219fdeqxziuWEpG/YgOhr0YbuQRc=
X-Google-Smtp-Source: ABdhPJwMb18kENsc/7P+nFcqopI8Hm0VUdU4QLIiKqmB1tQcA55ktlJVAPMO5Il51QRvr9P7hXRyFg==
X-Received: by 2002:a05:6000:4b:: with SMTP id
 k11mr5741820wrx.35.1616176991166; 
 Fri, 19 Mar 2021 11:03:11 -0700 (PDT)
Received: from rltb (91-175-207-237.subs.proxad.net. [91.175.207.237])
 by smtp.gmail.com with ESMTPSA id u17sm8760933wrw.51.2021.03.19.11.03.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 19 Mar 2021 11:03:10 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
Subject: Re: bug#47262: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
Date: Fri, 19 Mar 2021 19:03:09 +0100
In-Reply-To: <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> (Dagobert
 Michelsen's message of "Fri, 19 Mar 2021 14:42:23 +0100")
Message-ID: <87mtuzvx5u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47262
Cc: 47262 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Mar 2021 14:42:23 +0100, Dagobert Michelsen <dam@HIDDEN=
rg> said:

    Dagobert>   lisp/net/nsm-tests.log

This is Bug#45798, I think, fixed on master by 6dc4fc7d62. It=CA=BCs a
trivial change, I guess we could cherry-pick it to emacs-27, but it=CA=BCs
in a code path that no sane user would enable.

    Dagobert>   lisp/net/network-stream-tests.log

And this is 90ac405702, and by extension Bug#46709 and
Bug#46641. That=CA=BCs probably a bit much to put into emacs-27 (the
underlying code is mostly fine, it=CA=BCs the tests that are wrong)

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2021 14:05:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 19 10:05:32 2021
Received: from localhost ([127.0.0.1]:50713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNFkp-0002PK-Rp
	for submit <at> debbugs.gnu.org; Fri, 19 Mar 2021 10:05:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:49872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lNFko-0002PD-Em
 for submit <at> debbugs.gnu.org; Fri, 19 Mar 2021 10:05:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42994)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1lNFkn-0002Yg-Fr
 for bug-gnu-emacs@HIDDEN; Fri, 19 Mar 2021 10:05:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34859)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lNFkm-0000ft-FD; Fri, 19 Mar 2021 10:05:28 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2822
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lNFki-0002ad-KI; Fri, 19 Mar 2021 10:05:26 -0400
Date: Fri, 19 Mar 2021 16:05:26 +0200
Message-Id: <83h7l7dys9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dagobert Michelsen <dam@HIDDEN>
In-Reply-To: <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN> (message from
 Dagobert Michelsen on Fri, 19 Mar 2021 14:42:23 +0100)
Subject: Re: [platform-testers] Emacs 27.2 RC2
References: <835z1nfvdw.fsf@HIDDEN>
 <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dagobert Michelsen <dam@HIDDEN>
> Date: Fri, 19 Mar 2021 14:42:23 +0100
> 
> All logfiles are available from the buildfarm at
>   http://buildfarm.opencsw.org/~dam/emacs-27.2-rc2-logs.tar.gz

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2021 13:50:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 19 09:50:27 2021
Received: from localhost ([127.0.0.1]:49104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNFWE-0001dL-Mf
	for submit <at> debbugs.gnu.org; Fri, 19 Mar 2021 09:50:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:45702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dam@HIDDEN>) id 1lNFWC-0001dC-0X
 for submit <at> debbugs.gnu.org; Fri, 19 Mar 2021 09:50:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38846)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dam@HIDDEN>) id 1lNFWB-0005gw-EJ
 for bug-gnu-emacs@HIDDEN; Fri, 19 Mar 2021 09:50:23 -0400
Received: from mail.opencsw.org ([82.220.5.51]:63652)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dam@HIDDEN>)
 id 1lNFW7-0008MI-D4; Fri, 19 Mar 2021 09:50:23 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.opencsw.org (Postfix) with ESMTP id 4F24p93864zhR;
 Fri, 19 Mar 2021 14:42:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=opencsw.org; h=
 x-mailer:message-id:in-reply-to:to:references:date:date:subject
 :subject:mime-version:content-transfer-encoding:content-type
 :content-type:from:from; s=csw02; t=1616161344; bh=78ru2DTqq14uG
 NsJbP4/9DoWBLFqq6/ZtUZmVXOkBxk=; b=F7k5o4jq6TODOSX013MzpA5riWjm7
 CODaH9NxgcKZO+iIxERGLT1jU2wq1TTtRTlDIbj4VbvHrwW/PeLxDrlxJQ9aBs13
 5HXHRyECazztWR2FHV9tKEBoQN46LBnoMpWtWU0kXLZYMFYLEts4qPX0HJRYK3Wh
 uof6EL0/nMTXgpDPGtAYV9fwyg0oTzW7QzipDZUSiAqlF4AbRxe7vtmGmQba8A6t
 7BVgBa2EEEd1tZ+m9UrHjWX/6vB9XZg6cZh6rEow4Ibi6BQ5PHjxnY7xsKKA3ae1
 4xcoegUh7V2Si7sz1G36yls69zB+Yqpph+uCg7G1rdCDrKzTfoNOs1Tkg==
X-Virus-Scanned: amavisd-new at opencsw.org
Received: from mail.opencsw.org ([127.0.0.1])
 by localhost (mail.opencsw.org [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id V4vuC7G9gXKc; Fri, 19 Mar 2021 14:42:24 +0100 (CET)
Received: from andromeda-45.fritz.box (103-216-103-86.dynamic.dsl.tng.de
 [86.103.216.103])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: dam)
 by mail.opencsw.org (Postfix) with ESMTPSA id 4F24nr2Mh6zhQ;
 Fri, 19 Mar 2021 14:42:24 +0100 (CET)
From: Dagobert Michelsen <dam@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: [platform-testers] Emacs 27.2 RC2
Date: Fri, 19 Mar 2021 14:42:23 +0100
References: <835z1nfvdw.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>,
 bug-gnu-emacs@HIDDEN
In-Reply-To: <835z1nfvdw.fsf@HIDDEN>
Message-Id: <736DA57A-EA29-4133-9D70-1467B3B8D7A6@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
Received-SPF: neutral client-ip=82.220.5.51; envelope-from=dam@HIDDEN;
 helo=mail.opencsw.org
X-Spam_score_int: -58
X-Spam_score: -5.9
X-Spam_bar: -----
X-Spam_report: (-5.9 / 5.0 requ) BAYES_00=-1.9, DKIM_INVALID=0.1,
 DKIM_SIGNED=0.1, RCVD_IN_DNSWL_HI=-5, RCVD_IN_MSPIKE_H3=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_NEUTRAL=0.779 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hi Eli,

Am 19.03.2021 um 08:35 schrieb Eli Zaretskii <eliz@HIDDEN>:
> The second release candidate for what will be the 27.2 release of =
Emacs
> (the extensible text editor) is now available at
>=20
>  https://alpha.gnu.org/gnu/emacs/pretest/emacs-27.2-rc2.tar.xz
>=20
> The tarball is signed; you can get the PGP signature file at
>=20
>  https://alpha.gnu.org/gnu/emacs/pretest/emacs-27.2-rc2.tar.xz.sig
>=20
> Please give it as much testing as you can.
>=20
> As always, if you encounter problems building or using Emacs,
> send a report to bug-gnu-emacs@HIDDEN with full details
> (if possible, use M-x report-emacs-bug).
>=20
> Thanks for helping to test Emacs.

I have a couple of test failures with Solaris 10 Sparc and Sun Studio:

SUMMARY OF TEST RESULTS
-----------------------
Files examined: 267
Ran 3829 tests, 77 failed to run, 3716 results as expected, 23 =
unexpected, 90 skipped
3 files did not finish:
  src/emacs-module-tests.log
  lisp/progmodes/sql-tests.log
  lisp/auth-source-tests.log
8 files contained unexpected results:
  lisp/vc/diff-mode-tests.log
  lisp/progmodes/xref-tests.log
  lisp/progmodes/flymake-tests.log
  lisp/net/nsm-tests.log
  lisp/net/network-stream-tests.log
  lisp/files-tests.log
  lisp/filenotify-tests.log
  lisp/cedet/semantic-utest-ia.log
gmake[2]: *** [Makefile:318: check-doit] Error 2

All logfiles are available from the buildfarm at
  http://buildfarm.opencsw.org/~dam/emacs-27.2-rc2-logs.tar.gz


Best regards

  =E2=80=94 Dago

--=20
"You don't become great by trying to be great, you become great by =
wanting to do something,
and then doing it so hard that you become great in the process." - xkcd =
#896





Acknowledgement sent to Dagobert Michelsen <dam@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47262; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 21 Oct 2021 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.